<?php

namespace App\Controller;

use Symfony\Bundle\FrameworkBundle\Controller\AbstractController;
use Symfony\Component\HttpFoundation\Response;
use Symfony\Component\HttpFoundation\JsonResponse;
use Symfony\Component\HttpFoundation\Request;
use Symfony\Component\Routing\Annotation\Route;
use Doctrine\ORM\EntityManagerInterface;
use App\Entity\TFacture;
use App\Entity\TLigneFacture;
use Symfony\Component\Serializer\Encoder\JsonEncoder;
use Symfony\Component\Serializer\Encoder\XmlEncoder;
use Symfony\Component\Serializer\Normalizer\ObjectNormalizer;
use Symfony\Component\Serializer\Serializer;
class BaseController extends AbstractController
{
    /**
     * @Route("/select_facture", name="selectfacture")
     */
    public function selectFacture(EntityManagerInterface $manager): Response
    {
        $factures=$manager->getRepository(TFacture::class)->findBy(
            ['idStatutTraitement'=>0,'idStockFacture'=>1,'facIdUser'=>null],
            ['prioritaire'=>'desc','idFacture'=>'desc'],
            10);

        return $this->render('main/selectFacture.html.twig',['factures'=> $factures]);
    }
    /**
     * @Route("/next_facture", name="nextFacture")
     */
    public function nextFacture(EntityManagerInterface $manager): Response
    {
        $facture=$manager->getRepository(TFacture::class)->findOneBy(
            ['idStatutTraitement'=>0,'idStockFacture'=>1,'facIdUser'=>null],
            ['prioritaire'=>'desc','idFacture'=>'desc']);
        $facture->setIdStatutTraitement(1);
        $facture->setFacIdUser($this->getUser());
        $manager->flush();
        return $this->redirectToRoute('index',['id'=> $facture->getIdFacture()]);
    }
    /**
     * @Route("/index/{id}", name="index")
     */
    public function index(EntityManagerInterface $manager,$id): Response
    {
        $facture=$manager->getRepository(TFacture::class)->find($id);
        if(!$facture->getFacIdUser()){
            $facture->setFacIdUser($this->getUser());
            $facture->setIdStatutTraitement(1);
            $manager->flush();
        }
        return $this->render('main/index.html.twig',['facture'=> $facture]);
    }
    /**
     * @Route("/product/{id}", name="product")
     */
    public function traitProduct(EntityManagerInterface $manager,$id): Response
    {
        $ligneFacture=$manager->getRepository(TLigneFacture::class)->find($id);
        return $this->render('main/ligneFacture.html.twig',['product'=>$ligneFacture]);
    }

        /**
     * @Route("/currentCommand", name="currentCommand")
     */
    public function currentCommand(EntityManagerInterface $manager): Response
    {
        $user=$this->getUser();
        $Factures=$manager->getRepository(TFacture::class)->findCurrentCommand($user);
       
        return $this->render('main/CurrentCommand.html.twig',['factures'=>$Factures]);
    }

    /**
     * @Route("/validerligne/{id}", name="validerligne")
     */
    public function validerligne(EntityManagerInterface $manager,$id): Response
    {
        $facture=$manager->getRepository(TFacture::class)->find($id);
        $valider = true;
        foreach($facture->getLignesFacture() as $ligne ){
            if($ligne->getQte() <> $ligne->getqtescanne()){
                $facture->setIdStatutTraitement(2);
                $manager->flush();
                $valider = false;
            } 
        }
        
        if($valider){
            $facture->setIdStatutTraitement(3);
            $manager->flush();
        }
        return $this->redirectToRoute('index',['id'=>$id]);
    }
        /**
     * @Route("/corriger", name="corriger")
     */
    public function CorrigerCodeBarre(EntityManagerInterface $manager,Request $req): Response
    {
        if($req->isXmlHttpRequest()){ 
            $ligneFacture=$manager->getRepository(TLigneFacture::class)->findOneByCptLigneFacture($req->request->get('id'));
            $ligneFacture->getIdArticle()->setCodeBarre($req->request->get('codebarre'));
            $manager->flush();
            $ligneFacture=$manager->getRepository(TLigneFacture::class)->find($req->request->get('id'));
            
            $data=[
                'codebarre'=>$ligneFacture->getIdArticle()->getCodeBarre(),
                'statut'=>'code barre corrigé'
              
            ];
            return new JsonResponse($data);
        }
    }

    /**
     * @Route("/scanner", name="scanner")
     */
    public function scannerProduct(EntityManagerInterface $manager,Request $req): Response
    {
        $flash= false;
        if($req->isXmlHttpRequest()){       
            $ligneFacture=$manager->getRepository(TLigneFacture::class)->findOneByCptLigneFacture($req->request->get('id'));
            if($req->request->get('codebarre')===$ligneFacture->getIdArticle()->getCodeBarre()){
                if($ligneFacture->getQteScanne()< $ligneFacture->getQte()){
                    $currentQteScan= $ligneFacture->getQteScanne()?$ligneFacture->getQteScanne():0;
                    $newQteScan= $currentQteScan+1;
                    $ligneFacture->setQteScanne($newQteScan);
                    $manager->flush();
                    $this->addFlash('success','Product scanned');
                }elseif($ligneFacture->getQteScanne()>= $ligneFacture->getQte()){
                    $flash= true;
                }
    
    
                

                $data=[
                    'codebarre'=>$ligneFacture->getIdArticle()->getCodeBarre(),
                    'qtescanne'=>$ligneFacture->getQteScanne(),
                    'flash'=>$flash
                ];
                return new JsonResponse($data);
            }
            else{
              
                return new JsonResponse( ['error' => 'Code barre not found'
                ], 401);
            }
        }
        $ligneFacture=$manager->getRepository(TLigneFacture::class)->find($req->request->get('id'));
        return $this->render('main/ligneFacture.html.twig',['product'=>$ligneFacture]);
    }
}
