<?php

namespace App\Entity;

use Doctrine\ORM\Mapping as ORM;

/**
 * TArticle
 * 
 * @ORM\Table(name="T_Article", indexes={@ORM\Index(name="idx_fam_art", columns={"id_famille_article"}), @ORM\Index(name="visible", columns={"visible"}), @ORM\Index(name="idx_dispo", columns={"dispo_client"}), @ORM\Index(name="stop_p", columns={"stop_product"}), @ORM\Index(name="sp", columns={"stop_product"}), @ORM\Index(name="idx_cate", columns={"id_categorie"}), @ORM\Index(name="id_frs_ix", columns={"id_frs_article"}), @ORM\Index(name="dispo", columns={"dispo_client"})})
 * @ORM\Entity(repositoryClass="App\Repository\MyTArticleRepository")
 */
class TArticle
{
    /**
     * @var int
     *
     * @ORM\Column(name="id_article", type="integer", nullable=false)
     * @ORM\Id
     * @ORM\GeneratedValue(strategy="IDENTITY")
     */
    private $idArticle;

    /**
     * @var string|null
     *
     * @ORM\Column(name="reference", type="string", length=30, nullable=true)
     */
    private $reference;

    /**
     * @var string|null
     *
     * @ORM\Column(name="nom_article", type="string", length=100, nullable=true)
     */
    private $nomArticle;

    /**
     * @var string|null
     *
     * @ORM\Column(name="designation", type="text", length=16777215, nullable=true)
     */
    private $designation;

    /**
     * @var string|null
     *
     * @ORM\Column(name="photo", type="string", length=255, nullable=true)
     */
    private $photo;

    /**
     * @var float|null
     *
     * @ORM\Column(name="poids", type="float", precision=10, scale=0, nullable=true)
     */
    private $poids;

    /**
     * @var float|null
     *
     * @ORM\Column(name="qte_stock", type="float", precision=10, scale=0, nullable=true)
     */
    private $qteStock;

    /**
     * @var int|null
     *
     * @ORM\ManyToOne(targetEntity="TFamilleArticle")
     * @ORM\JoinColumns({
     *   @ORM\JoinColumn(name="id_famille_article", referencedColumnName="id_famille_article")
     *   })
     */
    private $idFamilleArticle;

    /**
     * @var \DateTime|null
     *
     * @ORM\Column(name="date_maj_stock", type="datetime", nullable=true)
     */
    private $dateMajStock;

    /**
     * @var int|null
     *
     * @ORM\Column(name="art_id_user", type="integer", nullable=true)
     */
    private $artIdUser;

    /**
     * @var \DateTime|null
     *
     * @ORM\Column(name="art_date_maj", type="datetime", nullable=true)
     */
    private $artDateMaj;

    /**
     * @var float|null
     *
     * @ORM\Column(name="qte_stock_cal", type="float", precision=10, scale=0, nullable=true)
     */
    private $qteStockCal;

    /**
     * @var \DateTime|null
     *
     * @ORM\Column(name="rupture_date_livraison", type="datetime", nullable=true)
     */
    private $ruptureDateLivraison;

    /**
     * @var int|null
     *
     * @ORM\Column(name="site", type="integer", nullable=true)
     */
    private $site;

    /**
     * @var string|null
     *
     * @ORM\Column(name="usine_fabrication", type="string", length=45, nullable=true)
     */
    private $usineFabrication;

    /**
     * @var string|null
     *
     * @ORM\Column(name="abrege", type="string", length=10, nullable=true)
     */
    private $abrege;

    /**
     * @var int|null
     *
     * @ORM\Column(name="visible", type="integer", nullable=true)
     */
    private $visible;

    /**
     * @var string|null
     *
     * @ORM\Column(name="sous_famille", type="string", length=100, nullable=true)
     */
    private $sousFamille;

    /**
     * @var int|null
     *
     * @ORM\Column(name="id_ps", type="integer", nullable=true)
     */
    private $idPs;

    /**
     * @var string|null
     *
     * @ORM\Column(name="url_image", type="string", length=250, nullable=true)
     */
    private $urlImage;

    /**
     * @var int|null
     *
     * @ORM\Column(name="min", type="integer", nullable=true)
     */
    private $min;

    /**
     * @var int|null
     *
     * @ORM\Column(name="colisage", type="integer", nullable=true)
     */
    private $colisage;

    /**
     * @var string|null
     *
     * @ORM\Column(name="detail", type="string", length=100, nullable=true)
     */
    private $detail;

    /**
     * @var int|null
     *
     * @ORM\Column(name="site_view", type="integer", nullable=true)
     */
    private $siteView;

    /**
     * @var string|null
     *
     * @ORM\Column(name="master", type="string", length=200, nullable=true)
     */
    private $master;

    /**
     * @var string|null
     *
     * @ORM\Column(name="s_attribut", type="string", length=100, nullable=true)
     */
    private $sAttribut;

    /**
     * @var int|null
     *
     * @ORM\Column(name="seuil_alerte", type="integer", nullable=true)
     */
    private $seuilAlerte;

    /**
     * @var string|null
     *
     * @ORM\Column(name="prix_achat", type="decimal", precision=10, scale=2, nullable=true)
     */
    private $prixAchat;

    /**
     * @var int|null
     *
     * @ORM\Column(name="delai_prod", type="integer", nullable=true)
     */
    private $delaiProd;

    /**
     * @var int|null
     *
     * @ORM\Column(name="actif_stock", type="integer", nullable=true)
     */
    private $actifStock;

    /**
     * @var float|null
     *
     * @ORM\Column(name="qte_stock2", type="float", precision=10, scale=0, nullable=true)
     */
    private $qteStock2;

    /**
     * @var \DateTime|null
     *
     * @ORM\Column(name="date_maj_stock2", type="datetime", nullable=true)
     */
    private $dateMajStock2;

    /**
     * @var int|null
     *
     * @ORM\Column(name="id_categorie", type="integer", nullable=true)
     */
    private $idCategorie;

    /**
     * @var int|null
     *
     * @ORM\Column(name="dispo_client", type="integer", nullable=true)
     */
    private $dispoClient = '0';

    /**
     * @var int|null
     *
     * @ORM\Column(name="promo", type="integer", nullable=true)
     */
    private $promo = '0';

    /**
     * @var int|null
     *
     * @ORM\Column(name="qte_max", type="integer", nullable=true)
     */
    private $qteMax;

    /**
     * @var string|null
     *
     * @ORM\Column(name="art_tri_ecran", type="string", length=5, nullable=true)
     */
    private $artTriEcran;

    /**
     * @var int|null
     *
     * @ORM\Column(name="nouvel_article", type="integer", nullable=true)
     */
    private $nouvelArticle = '0';

    /**
     * @var int|null
     *
     * @ORM\Column(name="accueil_promotion", type="integer", nullable=true)
     */
    private $accueilPromotion = '0';

    /**
     * @var float|null
     *
     * @ORM\Column(name="pvc", type="float", precision=10, scale=0, nullable=true)
     */
    private $pvc;

    /**
     * @var int|null
     *
     * @ORM\Column(name="masquer_pro", type="integer", nullable=true)
     */
    private $masquerPro;

    /**
     * @var int|null
     *
     * @ORM\Column(name="visible_stock_chine", type="integer", nullable=true)
     */
    private $visibleStockChine;

    /**
     * @var string|null
     *
     * @ORM\Column(name="ref_fournisseur", type="string", length=45, nullable=true)
     */
    private $refFournisseur;

    /**
     * @var int|null
     *
     * @ORM\Column(name="equivalent_10L", type="integer", nullable=true)
     */
    private $equivalent10l;

    /**
     * @var string|null
     *
     * @ORM\Column(name="ref_fabster", type="string", length=45, nullable=true)
     */
    private $refFabster;

    /**
     * @var string|null
     *
     * @ORM\Column(name="nom_fabster", type="string", length=255, nullable=true)
     */
    private $nomFabster;

    /**
     * @var int|null
     *
     * @ORM\Column(name="declare_liquide", type="integer", nullable=true)
     */
    private $declareLiquide;

    /**
     * @var int|null
     *
     * @ORM\Column(name="tpd_volume", type="integer", nullable=true)
     */
    private $tpdVolume;

    /**
     * @var string|null
     *
     * @ORM\Column(name="tpd_poids_liquide", type="string", length=10, nullable=true)
     */
    private $tpdPoidsLiquide;

    /**
     * @var string|null
     *
     * @ORM\Column(name="tpd_volume_liquide", type="string", length=10, nullable=true)
     */
    private $tpdVolumeLiquide;

    /**
     * @var \DateTime|null
     *
     * @ORM\Column(name="tpd_date_lancement", type="datetime", nullable=true)
     */
    private $tpdDateLancement;

    /**
     * @var int|null
     *
     * @ORM\Column(name="tpd_pack_unit", type="integer", nullable=true)
     */
    private $tpdPackUnit;

    /**
     * @var string|null
     *
     * @ORM\Column(name="tpd_type_battery", type="string", length=50, nullable=true)
     */
    private $tpdTypeBattery;

    /**
     * @var string|null
     *
     * @ORM\Column(name="tpd_battery", type="string", length=45, nullable=true)
     */
    private $tpdBattery;

    /**
     * @var string|null
     *
     * @ORM\Column(name="tpd_tension_adjust", type="string", length=45, nullable=true)
     */
    private $tpdTensionAdjust;

    /**
     * @var string|null
     *
     * @ORM\Column(name="tpd_voltage_variable", type="string", length=45, nullable=true)
     */
    private $tpdVoltageVariable;

    /**
     * @var string|null
     *
     * @ORM\Column(name="tpd_voltage_reco", type="string", length=45, nullable=true)
     */
    private $tpdVoltageReco;

    /**
     * @var string|null
     *
     * @ORM\Column(name="tpd_voltage_lower", type="string", length=45, nullable=true)
     */
    private $tpdVoltageLower;

    /**
     * @var string|null
     *
     * @ORM\Column(name="tpd_voltage_upper", type="string", length=45, nullable=true)
     */
    private $tpdVoltageUpper;

    /**
     * @var string|null
     *
     * @ORM\Column(name="tpd_wattage_variable", type="string", length=45, nullable=true)
     */
    private $tpdWattageVariable;

    /**
     * @var string|null
     *
     * @ORM\Column(name="tpd_wattage_reco", type="string", length=45, nullable=true)
     */
    private $tpdWattageReco;

    /**
     * @var string|null
     *
     * @ORM\Column(name="tpd_wattage_lower", type="string", length=45, nullable=true)
     */
    private $tpdWattageLower;

    /**
     * @var string|null
     *
     * @ORM\Column(name="tpd_wattage_upper", type="string", length=45, nullable=true)
     */
    private $tpdWattageUpper;

    /**
     * @var string|null
     *
     * @ORM\Column(name="tpd_airflow", type="string", length=45, nullable=true)
     */
    private $tpdAirflow;

    /**
     * @var string|null
     *
     * @ORM\Column(name="tpd_meche_remp", type="string", length=45, nullable=true)
     */
    private $tpdMecheRemp;

    /**
     * @var string|null
     *
     * @ORM\Column(name="tpd_wick", type="string", length=45, nullable=true)
     */
    private $tpdWick;

    /**
     * @var string|null
     *
     * @ORM\Column(name="tpd_micro", type="string", length=45, nullable=true)
     */
    private $tpdMicro;

    /**
     * @var string|null
     *
     * @ORM\Column(name="tpd_compo_coil", type="string", length=45, nullable=true)
     */
    private $tpdCompoCoil;

    /**
     * @var string|null
     *
     * @ORM\Column(name="tpd_resistance_coil", type="string", length=45, nullable=true)
     */
    private $tpdResistanceCoil;

    /**
     * @var int|null
     *
     * @ORM\Column(name="tpd_declare", type="integer", nullable=true)
     */
    private $tpdDeclare;

    /**
     * @var string|null
     *
     * @ORM\Column(name="tpd_nicotine", type="string", length=45, nullable=true)
     */
    private $tpdNicotine;

    /**
     * @var string|null
     *
     * @ORM\Column(name="tpd_package", type="string", length=45, nullable=true)
     */
    private $tpdPackage;

    /**
     * @var int|null
     *
     * @ORM\Column(name="tpd_id_maitre", type="integer", nullable=true)
     */
    private $tpdIdMaitre;

    /**
     * @var string|null
     *
     * @ORM\Column(name="tpd_file_nico", type="string", length=100, nullable=true)
     */
    private $tpdFileNico;

    /**
     * @var string|null
     *
     * @ORM\Column(name="tpd_file_methodo", type="string", length=100, nullable=true)
     */
    private $tpdFileMethodo;

    /**
     * @var string|null
     *
     * @ORM\Column(name="tpd_file_production", type="string", length=100, nullable=true)
     */
    private $tpdFileProduction;

    /**
     * @var string|null
     *
     * @ORM\Column(name="tpd_submitter_id", type="string", length=100, nullable=true)
     */
    private $tpdSubmitterId;

    /**
     * @var string|null
     *
     * @ORM\Column(name="tpd_IDSUB", type="string", length=45, nullable=true)
     */
    private $tpdIdsub;

    /**
     * @var string|null
     *
     * @ORM\Column(name="tpd_emission_nico", type="string", length=45, nullable=true)
     */
    private $tpdEmissionNico;

    /**
     * @var string|null
     *
     * @ORM\Column(name="tpd_nom", type="string", length=100, nullable=true)
     */
    private $tpdNom;

    /**
     * @var string|null
     *
     * @ORM\Column(name="tpd_status", type="string", length=45, nullable=true)
     */
    private $tpdStatus;

    /**
     * @var string|null
     *
     * @ORM\Column(name="nom_produit", type="string", length=200, nullable=true)
     */
    private $nomProduit;

    /**
     * @var int
     *
     * @ORM\Column(name="kit", type="integer", nullable=false)
     */
    private $kit = '0';

    /**
     * @var string|null
     *
     * @ORM\Column(name="tpd_st", type="string", length=45, nullable=true)
     */
    private $tpdSt;

    /**
     * @var \DateTime|null
     *
     * @ORM\Column(name="date_just_received", type="datetime", nullable=true)
     */
    private $dateJustReceived;

    /**
     * @var int|null
     *
     * @ORM\Column(name="condit", type="integer", nullable=true)
     */
    private $condit;

    /**
     * @var int|null
     *
     * @ORM\Column(name="new_product_bo", type="integer", nullable=true)
     */
    private $newProductBo = '0';

    /**
     * @var float|null
     *
     * @ORM\Column(name="pvc_il", type="float", precision=10, scale=0, nullable=true)
     */
    private $pvcIl;

    /**
     * @var string|null
     *
     * @ORM\Column(name="douane_destination", type="string", length=45, nullable=true)
     */
    private $douaneDestination;

    /**
     * @var string|null
     *
     * @ORM\Column(name="douane_type_pod", type="string", length=45, nullable=true)
     */
    private $douaneTypePod;

    /**
     * @var int|null
     *
     * @ORM\Column(name="remix_starter_mini", type="integer", nullable=true)
     */
    private $remixStarterMini;

    /**
     * @var int|null
     *
     * @ORM\Column(name="remix_starter_vide", type="integer", nullable=true)
     */
    private $remixStarterVide;

    /**
     * @var string|null
     *
     * @ORM\Column(name="saveur", type="string", length=45, nullable=true)
     */
    private $saveur;

    /**
     * @var int|null
     *
     * @ORM\Column(name="o2_starter", type="integer", nullable=true)
     */
    private $o2Starter;

    /**
     * @var string|null
     *
     * @ORM\Column(name="code_barre", type="string", length=45, nullable=true)
     */
    private $codeBarre;

    /**
     * @var int|null
     *
     * @ORM\Column(name="new_product_remix", type="integer", nullable=true)
     */
    private $newProductRemix = '0';

    /**
     * @var float|null
     *
     * @ORM\Column(name="acompte_autorise", type="float", precision=10, scale=0, nullable=true)
     */
    private $acompteAutorise;

    /**
     * @var string|null
     *
     * @ORM\Column(name="fichier_rapport", type="string", length=300, nullable=true)
     */
    private $fichierRapport;

    /**
     * @var int|null
     *
     * @ORM\Column(name="usine_delai_fab", type="integer", nullable=true)
     */
    private $usineDelaiFab;

    /**
     * @var float|null
     *
     * @ORM\Column(name="usine_nb_prod", type="float", precision=10, scale=0, nullable=true)
     */
    private $usineNbProd;

    /**
     * @var string|null
     *
     * @ORM\Column(name="usine_libelle_cond", type="string", length=100, nullable=true)
     */
    private $usineLibelleCond;

    /**
     * @var string|null
     *
     * @ORM\Column(name="tpd_liste", type="string", length=45, nullable=true)
     */
    private $tpdListe;

    /**
     * @var int|null
     *
     * @ORM\Column(name="stop_product", type="integer", nullable=true)
     */
    private $stopProduct = '0';

    /**
     * @var string|null
     *
     * @ORM\Column(name="tpd_number", type="string", length=100, nullable=true)
     */
    private $tpdNumber;

    /**
     * @var string|null
     *
     * @ORM\Column(name="tpd_return", type="string", length=3000, nullable=true)
     */
    private $tpdReturn;

    /**
     * @var float|null
     *
     * @ORM\Column(name="prix_frs", type="float", precision=10, scale=0, nullable=true)
     */
    private $prixFrs;

    /**
     * @var float|null
     *
     * @ORM\Column(name="coef_reassort", type="float", precision=10, scale=0, nullable=true, options={"default"="1"})
     */
    private $coefReassort = 1;

    /**
     * @var int|null
     *
     * @ORM\Column(name="id_frs_article", type="integer", nullable=true)
     */
    private $idFrsArticle;

    /**
     * @var float|null
     *
     * @ORM\Column(name="prix_frs_$", type="float", precision=10, scale=0, nullable=true)
     */
    private $prixFrs1;

    /**
     * @var int|null
     *
     * @ORM\Column(name="msds", type="integer", nullable=true)
     */
    private $msds;

    /**
     * @var int|null
     *
     * @ORM\Column(name="usine_choix_unite", type="integer", nullable=true)
     */
    private $usineChoixUnite = '0';

    /**
     * @var int|null
     *
     * @ORM\Column(name="usine_min_cde", type="integer", nullable=true)
     */
    private $usineMinCde;

    /**
     * @var int|null
     *
     * @ORM\Column(name="prix_concentre", type="integer", nullable=true)
     */
    private $prixConcentre;

    /**
     * @var string|null
     *
     * @ORM\Column(name="tpd_description", type="string", length=200, nullable=true)
     */
    private $tpdDescription;

    /**
     * @var string|null
     *
     * @ORM\Column(name="vg", type="string", length=45, nullable=true)
     */
    private $vg;

    /**
     * @var int|null
     *
     * @ORM\Column(name="stock_tampon", type="integer", nullable=true)
     */
    private $stockTampon;

    /**
     * @var float|null
     *
     * @ORM\Column(name="pvc_usd", type="float", precision=10, scale=0, nullable=true)
     */
    private $pvcUsd;

    /**
     * @var int|null
     *
     * @ORM\Column(name="dispo_mms", type="integer", nullable=true)
     */
    private $dispoMms;

    /**
     * @var int|null
     *
     * @ORM\Column(name="po", type="integer", nullable=true)
     */
    private $po;

    /**
     * @var int|null
     *
     * @ORM\Column(name="id_concentre", type="integer", nullable=true)
     */
    private $idConcentre;

    /**
     * @var string|null
     *
     * @ORM\Column(name="pow_battery", type="string", length=45, nullable=true)
     */
    private $powBattery;

    /**
     * @var float|null
     *
     * @ORM\Column(name="prix_revient", type="float", precision=10, scale=0, nullable=true)
     */
    private $prixRevient;

    /**
     * @var float|null
     *
     * @ORM\Column(name="prix_revient_fopc", type="float", precision=10, scale=0, nullable=true)
     */
    private $prixRevientFopc;

    /**
     * @var int|null
     *
     * @ORM\Column(name="type_wall", type="integer", nullable=true)
     */
    private $typeWall;

    /**
     * @var int|null
     *
     * @ORM\Column(name="goodies", type="integer", nullable=true)
     */
    private $goodies;

    /**
     * @var string|null
     *
     * @ORM\Column(name="she_design", type="string", length=200, nullable=true)
     */
    private $sheDesign;

    /**
     * @var string|null
     *
     * @ORM\Column(name="stock_tri", type="string", length=45, nullable=true)
     */
    private $stockTri;

    /**
     * @var string|null
     *
     * @ORM\Column(name="categorie_web", type="string", length=100, nullable=true)
     */
    private $categorieWeb;

    /**
     * @var string|null
     *
     * @ORM\Column(name="gout_web", type="string", length=100, nullable=true)
     */
    private $goutWeb;

    /**
     * @var string|null
     *
     * @ORM\Column(name="Description_web", type="text", length=65535, nullable=true)
     */
    private $descriptionWeb;

    /**
     * @var int|null
     *
     * @ORM\Column(name="Dispo_web", type="integer", nullable=true, options={"default"="2"})
     */
    private $dispoWeb = 2;

    /**
     * @var string|null
     *
     * @ORM\Column(name="Couleur_web", type="string", length=100, nullable=true)
     */
    private $couleurWeb;

    /**
     * @var string|null
     *
     * @ORM\Column(name="Tpd_formadehyde", type="string", length=20, nullable=true)
     */
    private $tpdFormadehyde;

    /**
     * @var string|null
     *
     * @ORM\Column(name="Tpd_Acrolein", type="string", length=20, nullable=true)
     */
    private $tpdAcrolein;

    /**
     * @var string|null
     *
     * @ORM\Column(name="Tpd_Acetaldehyde", type="string", length=20, nullable=true)
     */
    private $tpdAcetaldehyde;

    /**
     * @var string|null
     *
     * @ORM\Column(name="V_liquide", type="string", length=20, nullable=true)
     */
    private $vLiquide;

    /**
     * @var string|null
     *
     * @ORM\Column(name="Type_ECIG", type="string", length=20, nullable=true)
     */
    private $typeEcig;

    /**
     * @var string|null
     *
     * @ORM\Column(name="Type_Eliquid", type="string", length=20, nullable=true)
     */
    private $typeEliquid;

    /**
     * @var string|null
     *
     * @ORM\Column(name="Type_CBD", type="string", length=20, nullable=true)
     */
    private $typeCbd;

    /**
     * @var string|null
     *
     * @ORM\Column(name="Type_Accesoire", type="string", length=20, nullable=true)
     */
    private $typeAccesoire;

    /**
     * @var string|null
     *
     * @ORM\Column(name="Description_Web_Long", type="string", length=800, nullable=true)
     */
    private $descriptionWebLong;

    /**
     * @var int|null
     *
     * @ORM\Column(name="T_Pictureratio", type="integer", nullable=true)
     */
    private $tPictureratio;

    /**
     * @var string|null
     *
     * @ORM\Column(name="name_il", type="string", length=200, nullable=true)
     */
    private $nameIl;

    /**
     * @var string|null
     *
     * @ORM\Column(name="Url_web_site", type="string", length=200, nullable=true)
     */
    private $urlWebSite;

    /**
     * @var string|null
     *
     * @ORM\Column(name="hs_code", type="string", length=45, nullable=true)
     */
    private $hsCode;

    /**
     * @var int|null
     *
     * @ORM\Column(name="condit_web", type="integer", nullable=true)
     */
    private $conditWeb;

    /**
     * @var string|null
     *
     * @ORM\Column(name="marque_produit", type="string", length=100, nullable=true)
     */
    private $marqueProduit;

    /**
     * @var string|null
     *
     * @ORM\Column(name="ufi_code", type="string", length=45, nullable=true)
     */
    private $ufiCode;

    /**
     * @var \DateTime|null
     *
     * @ORM\Column(name="multi_nouveaute", type="datetime", nullable=true)
     */
    private $multiNouveaute;

    /**
     * @var \DateTime|null
     *
     * @ORM\Column(name="multi_baisse", type="datetime", nullable=true)
     */
    private $multiBaisse;

    /**
     * @var int|null
     *
     * @ORM\Column(name="promo_ete", type="integer", nullable=true)
     */
    private $promoEte;

    /**
     * @var float
     *
     * @ORM\Column(name="remise_promo", type="float", precision=10, scale=0, nullable=false)
     */
    private $remisePromo;

    /**
     * @var string|null
     *
     * @ORM\Column(name="emplacement", type="string", length=100, nullable=true)
     */
    private $emplacement;

    public function getIdArticle(): ?int
    {
        return $this->idArticle;
    }

    public function getReference(): ?string
    {
        return $this->reference;
    }

    public function setReference(?string $reference): self
    {
        $this->reference = $reference;

        return $this;
    }

    public function getNomArticle(): ?string
    {
        return $this->nomArticle;
    }

    public function setNomArticle(?string $nomArticle): self
    {
        $this->nomArticle = $nomArticle;

        return $this;
    }

    public function getDesignation(): ?string
    {
        return $this->designation;
    }

    public function setDesignation(?string $designation): self
    {
        $this->designation = $designation;

        return $this;
    }

    public function getPhoto(): ?string
    {
        return $this->photo;
    }

    public function setPhoto(?string $photo): self
    {
        $this->photo = $photo;

        return $this;
    }

    public function getPoids(): ?float
    {
        return $this->poids;
    }

    public function setPoids(?float $poids): self
    {
        $this->poids = $poids;

        return $this;
    }

    public function getQteStock(): ?float
    {
        return $this->qteStock;
    }

    public function setQteStock(?float $qteStock): self
    {
        $this->qteStock = $qteStock;

        return $this;
    }

    public function getDateMajStock(): ?\DateTimeInterface
    {
        return $this->dateMajStock;
    }

    public function setDateMajStock(?\DateTimeInterface $dateMajStock): self
    {
        $this->dateMajStock = $dateMajStock;

        return $this;
    }

    public function getArtIdUser(): ?int
    {
        return $this->artIdUser;
    }

    public function setArtIdUser(?int $artIdUser): self
    {
        $this->artIdUser = $artIdUser;

        return $this;
    }

    public function getArtDateMaj(): ?\DateTimeInterface
    {
        return $this->artDateMaj;
    }

    public function setArtDateMaj(?\DateTimeInterface $artDateMaj): self
    {
        $this->artDateMaj = $artDateMaj;

        return $this;
    }

    public function getQteStockCal(): ?float
    {
        return $this->qteStockCal;
    }

    public function setQteStockCal(?float $qteStockCal): self
    {
        $this->qteStockCal = $qteStockCal;

        return $this;
    }

    public function getRuptureDateLivraison(): ?\DateTimeInterface
    {
        return $this->ruptureDateLivraison;
    }

    public function setRuptureDateLivraison(?\DateTimeInterface $ruptureDateLivraison): self
    {
        $this->ruptureDateLivraison = $ruptureDateLivraison;

        return $this;
    }

    public function getSite(): ?int
    {
        return $this->site;
    }

    public function setSite(?int $site): self
    {
        $this->site = $site;

        return $this;
    }

    public function getUsineFabrication(): ?string
    {
        return $this->usineFabrication;
    }

    public function setUsineFabrication(?string $usineFabrication): self
    {
        $this->usineFabrication = $usineFabrication;

        return $this;
    }

    public function getAbrege(): ?string
    {
        return $this->abrege;
    }

    public function setAbrege(?string $abrege): self
    {
        $this->abrege = $abrege;

        return $this;
    }

    public function getVisible(): ?int
    {
        return $this->visible;
    }

    public function setVisible(?int $visible): self
    {
        $this->visible = $visible;

        return $this;
    }

    public function getSousFamille(): ?string
    {
        return $this->sousFamille;
    }

    public function setSousFamille(?string $sousFamille): self
    {
        $this->sousFamille = $sousFamille;

        return $this;
    }

    public function getIdPs(): ?int
    {
        return $this->idPs;
    }

    public function setIdPs(?int $idPs): self
    {
        $this->idPs = $idPs;

        return $this;
    }

    public function getUrlImage(): ?string
    {
        return $this->urlImage;
    }

    public function setUrlImage(?string $urlImage): self
    {
        $this->urlImage = $urlImage;

        return $this;
    }

    public function getMin(): ?int
    {
        return $this->min;
    }

    public function setMin(?int $min): self
    {
        $this->min = $min;

        return $this;
    }

    public function getColisage(): ?int
    {
        return $this->colisage;
    }

    public function setColisage(?int $colisage): self
    {
        $this->colisage = $colisage;

        return $this;
    }

    public function getDetail(): ?string
    {
        return $this->detail;
    }

    public function setDetail(?string $detail): self
    {
        $this->detail = $detail;

        return $this;
    }

    public function getSiteView(): ?int
    {
        return $this->siteView;
    }

    public function setSiteView(?int $siteView): self
    {
        $this->siteView = $siteView;

        return $this;
    }

    public function getMaster(): ?string
    {
        return $this->master;
    }

    public function setMaster(?string $master): self
    {
        $this->master = $master;

        return $this;
    }

    public function getSAttribut(): ?string
    {
        return $this->sAttribut;
    }

    public function setSAttribut(?string $sAttribut): self
    {
        $this->sAttribut = $sAttribut;

        return $this;
    }

    public function getSeuilAlerte(): ?int
    {
        return $this->seuilAlerte;
    }

    public function setSeuilAlerte(?int $seuilAlerte): self
    {
        $this->seuilAlerte = $seuilAlerte;

        return $this;
    }

    public function getPrixAchat(): ?string
    {
        return $this->prixAchat;
    }

    public function setPrixAchat(?string $prixAchat): self
    {
        $this->prixAchat = $prixAchat;

        return $this;
    }

    public function getDelaiProd(): ?int
    {
        return $this->delaiProd;
    }

    public function setDelaiProd(?int $delaiProd): self
    {
        $this->delaiProd = $delaiProd;

        return $this;
    }

    public function getActifStock(): ?int
    {
        return $this->actifStock;
    }

    public function setActifStock(?int $actifStock): self
    {
        $this->actifStock = $actifStock;

        return $this;
    }

    public function getQteStock2(): ?float
    {
        return $this->qteStock2;
    }

    public function setQteStock2(?float $qteStock2): self
    {
        $this->qteStock2 = $qteStock2;

        return $this;
    }

    public function getDateMajStock2(): ?\DateTimeInterface
    {
        return $this->dateMajStock2;
    }

    public function setDateMajStock2(?\DateTimeInterface $dateMajStock2): self
    {
        $this->dateMajStock2 = $dateMajStock2;

        return $this;
    }

    public function getIdCategorie(): ?int
    {
        return $this->idCategorie;
    }

    public function setIdCategorie(?int $idCategorie): self
    {
        $this->idCategorie = $idCategorie;

        return $this;
    }

    public function getDispoClient(): ?int
    {
        return $this->dispoClient;
    }

    public function setDispoClient(?int $dispoClient): self
    {
        $this->dispoClient = $dispoClient;

        return $this;
    }

    public function getPromo(): ?int
    {
        return $this->promo;
    }

    public function setPromo(?int $promo): self
    {
        $this->promo = $promo;

        return $this;
    }

    public function getQteMax(): ?int
    {
        return $this->qteMax;
    }

    public function setQteMax(?int $qteMax): self
    {
        $this->qteMax = $qteMax;

        return $this;
    }

    public function getArtTriEcran(): ?string
    {
        return $this->artTriEcran;
    }

    public function setArtTriEcran(?string $artTriEcran): self
    {
        $this->artTriEcran = $artTriEcran;

        return $this;
    }

    public function getNouvelArticle(): ?int
    {
        return $this->nouvelArticle;
    }

    public function setNouvelArticle(?int $nouvelArticle): self
    {
        $this->nouvelArticle = $nouvelArticle;

        return $this;
    }

    public function getAccueilPromotion(): ?int
    {
        return $this->accueilPromotion;
    }

    public function setAccueilPromotion(?int $accueilPromotion): self
    {
        $this->accueilPromotion = $accueilPromotion;

        return $this;
    }

    public function getPvc(): ?float
    {
        return $this->pvc;
    }

    public function setPvc(?float $pvc): self
    {
        $this->pvc = $pvc;

        return $this;
    }

    public function getMasquerPro(): ?int
    {
        return $this->masquerPro;
    }

    public function setMasquerPro(?int $masquerPro): self
    {
        $this->masquerPro = $masquerPro;

        return $this;
    }

    public function getVisibleStockChine(): ?int
    {
        return $this->visibleStockChine;
    }

    public function setVisibleStockChine(?int $visibleStockChine): self
    {
        $this->visibleStockChine = $visibleStockChine;

        return $this;
    }

    public function getRefFournisseur(): ?string
    {
        return $this->refFournisseur;
    }

    public function setRefFournisseur(?string $refFournisseur): self
    {
        $this->refFournisseur = $refFournisseur;

        return $this;
    }

    public function getEquivalent10l(): ?int
    {
        return $this->equivalent10l;
    }

    public function setEquivalent10l(?int $equivalent10l): self
    {
        $this->equivalent10l = $equivalent10l;

        return $this;
    }

    public function getRefFabster(): ?string
    {
        return $this->refFabster;
    }

    public function setRefFabster(?string $refFabster): self
    {
        $this->refFabster = $refFabster;

        return $this;
    }

    public function getNomFabster(): ?string
    {
        return $this->nomFabster;
    }

    public function setNomFabster(?string $nomFabster): self
    {
        $this->nomFabster = $nomFabster;

        return $this;
    }

    public function getDeclareLiquide(): ?int
    {
        return $this->declareLiquide;
    }

    public function setDeclareLiquide(?int $declareLiquide): self
    {
        $this->declareLiquide = $declareLiquide;

        return $this;
    }

    public function getTpdVolume(): ?int
    {
        return $this->tpdVolume;
    }

    public function setTpdVolume(?int $tpdVolume): self
    {
        $this->tpdVolume = $tpdVolume;

        return $this;
    }

    public function getTpdPoidsLiquide(): ?string
    {
        return $this->tpdPoidsLiquide;
    }

    public function setTpdPoidsLiquide(?string $tpdPoidsLiquide): self
    {
        $this->tpdPoidsLiquide = $tpdPoidsLiquide;

        return $this;
    }

    public function getTpdVolumeLiquide(): ?string
    {
        return $this->tpdVolumeLiquide;
    }

    public function setTpdVolumeLiquide(?string $tpdVolumeLiquide): self
    {
        $this->tpdVolumeLiquide = $tpdVolumeLiquide;

        return $this;
    }

    public function getTpdDateLancement(): ?\DateTimeInterface
    {
        return $this->tpdDateLancement;
    }

    public function setTpdDateLancement(?\DateTimeInterface $tpdDateLancement): self
    {
        $this->tpdDateLancement = $tpdDateLancement;

        return $this;
    }

    public function getTpdPackUnit(): ?int
    {
        return $this->tpdPackUnit;
    }

    public function setTpdPackUnit(?int $tpdPackUnit): self
    {
        $this->tpdPackUnit = $tpdPackUnit;

        return $this;
    }

    public function getTpdTypeBattery(): ?string
    {
        return $this->tpdTypeBattery;
    }

    public function setTpdTypeBattery(?string $tpdTypeBattery): self
    {
        $this->tpdTypeBattery = $tpdTypeBattery;

        return $this;
    }

    public function getTpdBattery(): ?string
    {
        return $this->tpdBattery;
    }

    public function setTpdBattery(?string $tpdBattery): self
    {
        $this->tpdBattery = $tpdBattery;

        return $this;
    }

    public function getTpdTensionAdjust(): ?string
    {
        return $this->tpdTensionAdjust;
    }

    public function setTpdTensionAdjust(?string $tpdTensionAdjust): self
    {
        $this->tpdTensionAdjust = $tpdTensionAdjust;

        return $this;
    }

    public function getTpdVoltageVariable(): ?string
    {
        return $this->tpdVoltageVariable;
    }

    public function setTpdVoltageVariable(?string $tpdVoltageVariable): self
    {
        $this->tpdVoltageVariable = $tpdVoltageVariable;

        return $this;
    }

    public function getTpdVoltageReco(): ?string
    {
        return $this->tpdVoltageReco;
    }

    public function setTpdVoltageReco(?string $tpdVoltageReco): self
    {
        $this->tpdVoltageReco = $tpdVoltageReco;

        return $this;
    }

    public function getTpdVoltageLower(): ?string
    {
        return $this->tpdVoltageLower;
    }

    public function setTpdVoltageLower(?string $tpdVoltageLower): self
    {
        $this->tpdVoltageLower = $tpdVoltageLower;

        return $this;
    }

    public function getTpdVoltageUpper(): ?string
    {
        return $this->tpdVoltageUpper;
    }

    public function setTpdVoltageUpper(?string $tpdVoltageUpper): self
    {
        $this->tpdVoltageUpper = $tpdVoltageUpper;

        return $this;
    }

    public function getTpdWattageVariable(): ?string
    {
        return $this->tpdWattageVariable;
    }

    public function setTpdWattageVariable(?string $tpdWattageVariable): self
    {
        $this->tpdWattageVariable = $tpdWattageVariable;

        return $this;
    }

    public function getTpdWattageReco(): ?string
    {
        return $this->tpdWattageReco;
    }

    public function setTpdWattageReco(?string $tpdWattageReco): self
    {
        $this->tpdWattageReco = $tpdWattageReco;

        return $this;
    }

    public function getTpdWattageLower(): ?string
    {
        return $this->tpdWattageLower;
    }

    public function setTpdWattageLower(?string $tpdWattageLower): self
    {
        $this->tpdWattageLower = $tpdWattageLower;

        return $this;
    }

    public function getTpdWattageUpper(): ?string
    {
        return $this->tpdWattageUpper;
    }

    public function setTpdWattageUpper(?string $tpdWattageUpper): self
    {
        $this->tpdWattageUpper = $tpdWattageUpper;

        return $this;
    }

    public function getTpdAirflow(): ?string
    {
        return $this->tpdAirflow;
    }

    public function setTpdAirflow(?string $tpdAirflow): self
    {
        $this->tpdAirflow = $tpdAirflow;

        return $this;
    }

    public function getTpdMecheRemp(): ?string
    {
        return $this->tpdMecheRemp;
    }

    public function setTpdMecheRemp(?string $tpdMecheRemp): self
    {
        $this->tpdMecheRemp = $tpdMecheRemp;

        return $this;
    }

    public function getTpdWick(): ?string
    {
        return $this->tpdWick;
    }

    public function setTpdWick(?string $tpdWick): self
    {
        $this->tpdWick = $tpdWick;

        return $this;
    }

    public function getTpdMicro(): ?string
    {
        return $this->tpdMicro;
    }

    public function setTpdMicro(?string $tpdMicro): self
    {
        $this->tpdMicro = $tpdMicro;

        return $this;
    }

    public function getTpdCompoCoil(): ?string
    {
        return $this->tpdCompoCoil;
    }

    public function setTpdCompoCoil(?string $tpdCompoCoil): self
    {
        $this->tpdCompoCoil = $tpdCompoCoil;

        return $this;
    }

    public function getTpdResistanceCoil(): ?string
    {
        return $this->tpdResistanceCoil;
    }

    public function setTpdResistanceCoil(?string $tpdResistanceCoil): self
    {
        $this->tpdResistanceCoil = $tpdResistanceCoil;

        return $this;
    }

    public function getTpdDeclare(): ?int
    {
        return $this->tpdDeclare;
    }

    public function setTpdDeclare(?int $tpdDeclare): self
    {
        $this->tpdDeclare = $tpdDeclare;

        return $this;
    }

    public function getTpdNicotine(): ?string
    {
        return $this->tpdNicotine;
    }

    public function setTpdNicotine(?string $tpdNicotine): self
    {
        $this->tpdNicotine = $tpdNicotine;

        return $this;
    }

    public function getTpdPackage(): ?string
    {
        return $this->tpdPackage;
    }

    public function setTpdPackage(?string $tpdPackage): self
    {
        $this->tpdPackage = $tpdPackage;

        return $this;
    }

    public function getTpdIdMaitre(): ?int
    {
        return $this->tpdIdMaitre;
    }

    public function setTpdIdMaitre(?int $tpdIdMaitre): self
    {
        $this->tpdIdMaitre = $tpdIdMaitre;

        return $this;
    }

    public function getTpdFileNico(): ?string
    {
        return $this->tpdFileNico;
    }

    public function setTpdFileNico(?string $tpdFileNico): self
    {
        $this->tpdFileNico = $tpdFileNico;

        return $this;
    }

    public function getTpdFileMethodo(): ?string
    {
        return $this->tpdFileMethodo;
    }

    public function setTpdFileMethodo(?string $tpdFileMethodo): self
    {
        $this->tpdFileMethodo = $tpdFileMethodo;

        return $this;
    }

    public function getTpdFileProduction(): ?string
    {
        return $this->tpdFileProduction;
    }

    public function setTpdFileProduction(?string $tpdFileProduction): self
    {
        $this->tpdFileProduction = $tpdFileProduction;

        return $this;
    }

    public function getTpdSubmitterId(): ?string
    {
        return $this->tpdSubmitterId;
    }

    public function setTpdSubmitterId(?string $tpdSubmitterId): self
    {
        $this->tpdSubmitterId = $tpdSubmitterId;

        return $this;
    }

    public function getTpdIdsub(): ?string
    {
        return $this->tpdIdsub;
    }

    public function setTpdIdsub(?string $tpdIdsub): self
    {
        $this->tpdIdsub = $tpdIdsub;

        return $this;
    }

    public function getTpdEmissionNico(): ?string
    {
        return $this->tpdEmissionNico;
    }

    public function setTpdEmissionNico(?string $tpdEmissionNico): self
    {
        $this->tpdEmissionNico = $tpdEmissionNico;

        return $this;
    }

    public function getTpdNom(): ?string
    {
        return $this->tpdNom;
    }

    public function setTpdNom(?string $tpdNom): self
    {
        $this->tpdNom = $tpdNom;

        return $this;
    }

    public function getTpdStatus(): ?string
    {
        return $this->tpdStatus;
    }

    public function setTpdStatus(?string $tpdStatus): self
    {
        $this->tpdStatus = $tpdStatus;

        return $this;
    }

    public function getNomProduit(): ?string
    {
        return $this->nomProduit;
    }

    public function setNomProduit(?string $nomProduit): self
    {
        $this->nomProduit = $nomProduit;

        return $this;
    }

    public function getKit(): ?int
    {
        return $this->kit;
    }

    public function setKit(int $kit): self
    {
        $this->kit = $kit;

        return $this;
    }

    public function getTpdSt(): ?string
    {
        return $this->tpdSt;
    }

    public function setTpdSt(?string $tpdSt): self
    {
        $this->tpdSt = $tpdSt;

        return $this;
    }

    public function getDateJustReceived(): ?\DateTimeInterface
    {
        return $this->dateJustReceived;
    }

    public function setDateJustReceived(?\DateTimeInterface $dateJustReceived): self
    {
        $this->dateJustReceived = $dateJustReceived;

        return $this;
    }

    public function getCondit(): ?int
    {
        return $this->condit;
    }

    public function setCondit(?int $condit): self
    {
        $this->condit = $condit;

        return $this;
    }

    public function getNewProductBo(): ?int
    {
        return $this->newProductBo;
    }

    public function setNewProductBo(?int $newProductBo): self
    {
        $this->newProductBo = $newProductBo;

        return $this;
    }

    public function getPvcIl(): ?float
    {
        return $this->pvcIl;
    }

    public function setPvcIl(?float $pvcIl): self
    {
        $this->pvcIl = $pvcIl;

        return $this;
    }

    public function getDouaneDestination(): ?string
    {
        return $this->douaneDestination;
    }

    public function setDouaneDestination(?string $douaneDestination): self
    {
        $this->douaneDestination = $douaneDestination;

        return $this;
    }

    public function getDouaneTypePod(): ?string
    {
        return $this->douaneTypePod;
    }

    public function setDouaneTypePod(?string $douaneTypePod): self
    {
        $this->douaneTypePod = $douaneTypePod;

        return $this;
    }

    public function getRemixStarterMini(): ?int
    {
        return $this->remixStarterMini;
    }

    public function setRemixStarterMini(?int $remixStarterMini): self
    {
        $this->remixStarterMini = $remixStarterMini;

        return $this;
    }

    public function getRemixStarterVide(): ?int
    {
        return $this->remixStarterVide;
    }

    public function setRemixStarterVide(?int $remixStarterVide): self
    {
        $this->remixStarterVide = $remixStarterVide;

        return $this;
    }

    public function getSaveur(): ?string
    {
        return $this->saveur;
    }

    public function setSaveur(?string $saveur): self
    {
        $this->saveur = $saveur;

        return $this;
    }

    public function getO2Starter(): ?int
    {
        return $this->o2Starter;
    }

    public function setO2Starter(?int $o2Starter): self
    {
        $this->o2Starter = $o2Starter;

        return $this;
    }

    public function getCodeBarre(): ?string
    {
        return $this->codeBarre;
    }

    public function setCodeBarre(?string $codeBarre): self
    {
        $this->codeBarre = $codeBarre;

        return $this;
    }

    public function getNewProductRemix(): ?int
    {
        return $this->newProductRemix;
    }

    public function setNewProductRemix(?int $newProductRemix): self
    {
        $this->newProductRemix = $newProductRemix;

        return $this;
    }

    public function getAcompteAutorise(): ?float
    {
        return $this->acompteAutorise;
    }

    public function setAcompteAutorise(?float $acompteAutorise): self
    {
        $this->acompteAutorise = $acompteAutorise;

        return $this;
    }

    public function getFichierRapport(): ?string
    {
        return $this->fichierRapport;
    }

    public function setFichierRapport(?string $fichierRapport): self
    {
        $this->fichierRapport = $fichierRapport;

        return $this;
    }

    public function getUsineDelaiFab(): ?int
    {
        return $this->usineDelaiFab;
    }

    public function setUsineDelaiFab(?int $usineDelaiFab): self
    {
        $this->usineDelaiFab = $usineDelaiFab;

        return $this;
    }

    public function getUsineNbProd(): ?float
    {
        return $this->usineNbProd;
    }

    public function setUsineNbProd(?float $usineNbProd): self
    {
        $this->usineNbProd = $usineNbProd;

        return $this;
    }

    public function getUsineLibelleCond(): ?string
    {
        return $this->usineLibelleCond;
    }

    public function setUsineLibelleCond(?string $usineLibelleCond): self
    {
        $this->usineLibelleCond = $usineLibelleCond;

        return $this;
    }

    public function getTpdListe(): ?string
    {
        return $this->tpdListe;
    }

    public function setTpdListe(?string $tpdListe): self
    {
        $this->tpdListe = $tpdListe;

        return $this;
    }

    public function getStopProduct(): ?int
    {
        return $this->stopProduct;
    }

    public function setStopProduct(?int $stopProduct): self
    {
        $this->stopProduct = $stopProduct;

        return $this;
    }

    public function getTpdNumber(): ?string
    {
        return $this->tpdNumber;
    }

    public function setTpdNumber(?string $tpdNumber): self
    {
        $this->tpdNumber = $tpdNumber;

        return $this;
    }

    public function getTpdReturn(): ?string
    {
        return $this->tpdReturn;
    }

    public function setTpdReturn(?string $tpdReturn): self
    {
        $this->tpdReturn = $tpdReturn;

        return $this;
    }

    public function getPrixFrs(): ?float
    {
        return $this->prixFrs;
    }

    public function setPrixFrs(?float $prixFrs): self
    {
        $this->prixFrs = $prixFrs;

        return $this;
    }

    public function getCoefReassort(): ?float
    {
        return $this->coefReassort;
    }

    public function setCoefReassort(?float $coefReassort): self
    {
        $this->coefReassort = $coefReassort;

        return $this;
    }

    public function getIdFrsArticle(): ?int
    {
        return $this->idFrsArticle;
    }

    public function setIdFrsArticle(?int $idFrsArticle): self
    {
        $this->idFrsArticle = $idFrsArticle;

        return $this;
    }

    public function getPrixFrs1(): ?float
    {
        return $this->prixFrs1;
    }

    public function setPrixFrs1(?float $prixFrs1): self
    {
        $this->prixFrs1 = $prixFrs1;

        return $this;
    }

    public function getMsds(): ?int
    {
        return $this->msds;
    }

    public function setMsds(?int $msds): self
    {
        $this->msds = $msds;

        return $this;
    }

    public function getUsineChoixUnite(): ?int
    {
        return $this->usineChoixUnite;
    }

    public function setUsineChoixUnite(?int $usineChoixUnite): self
    {
        $this->usineChoixUnite = $usineChoixUnite;

        return $this;
    }

    public function getUsineMinCde(): ?int
    {
        return $this->usineMinCde;
    }

    public function setUsineMinCde(?int $usineMinCde): self
    {
        $this->usineMinCde = $usineMinCde;

        return $this;
    }

    public function getPrixConcentre(): ?int
    {
        return $this->prixConcentre;
    }

    public function setPrixConcentre(?int $prixConcentre): self
    {
        $this->prixConcentre = $prixConcentre;

        return $this;
    }

    public function getTpdDescription(): ?string
    {
        return $this->tpdDescription;
    }

    public function setTpdDescription(?string $tpdDescription): self
    {
        $this->tpdDescription = $tpdDescription;

        return $this;
    }

    public function getVg(): ?string
    {
        return $this->vg;
    }

    public function setVg(?string $vg): self
    {
        $this->vg = $vg;

        return $this;
    }

    public function getStockTampon(): ?int
    {
        return $this->stockTampon;
    }

    public function setStockTampon(?int $stockTampon): self
    {
        $this->stockTampon = $stockTampon;

        return $this;
    }

    public function getPvcUsd(): ?float
    {
        return $this->pvcUsd;
    }

    public function setPvcUsd(?float $pvcUsd): self
    {
        $this->pvcUsd = $pvcUsd;

        return $this;
    }

    public function getDispoMms(): ?int
    {
        return $this->dispoMms;
    }

    public function setDispoMms(?int $dispoMms): self
    {
        $this->dispoMms = $dispoMms;

        return $this;
    }

    public function getPo(): ?int
    {
        return $this->po;
    }

    public function setPo(?int $po): self
    {
        $this->po = $po;

        return $this;
    }

    public function getIdConcentre(): ?int
    {
        return $this->idConcentre;
    }

    public function setIdConcentre(?int $idConcentre): self
    {
        $this->idConcentre = $idConcentre;

        return $this;
    }

    public function getPowBattery(): ?string
    {
        return $this->powBattery;
    }

    public function setPowBattery(?string $powBattery): self
    {
        $this->powBattery = $powBattery;

        return $this;
    }

    public function getPrixRevient(): ?float
    {
        return $this->prixRevient;
    }

    public function setPrixRevient(?float $prixRevient): self
    {
        $this->prixRevient = $prixRevient;

        return $this;
    }

    public function getPrixRevientFopc(): ?float
    {
        return $this->prixRevientFopc;
    }

    public function setPrixRevientFopc(?float $prixRevientFopc): self
    {
        $this->prixRevientFopc = $prixRevientFopc;

        return $this;
    }

    public function getTypeWall(): ?int
    {
        return $this->typeWall;
    }

    public function setTypeWall(?int $typeWall): self
    {
        $this->typeWall = $typeWall;

        return $this;
    }

    public function getGoodies(): ?int
    {
        return $this->goodies;
    }

    public function setGoodies(?int $goodies): self
    {
        $this->goodies = $goodies;

        return $this;
    }

    public function getSheDesign(): ?string
    {
        return $this->sheDesign;
    }

    public function setSheDesign(?string $sheDesign): self
    {
        $this->sheDesign = $sheDesign;

        return $this;
    }

    public function getStockTri(): ?string
    {
        return $this->stockTri;
    }

    public function setStockTri(?string $stockTri): self
    {
        $this->stockTri = $stockTri;

        return $this;
    }

    public function getCategorieWeb(): ?string
    {
        return $this->categorieWeb;
    }

    public function setCategorieWeb(?string $categorieWeb): self
    {
        $this->categorieWeb = $categorieWeb;

        return $this;
    }

    public function getGoutWeb(): ?string
    {
        return $this->goutWeb;
    }

    public function setGoutWeb(?string $goutWeb): self
    {
        $this->goutWeb = $goutWeb;

        return $this;
    }

    public function getDescriptionWeb(): ?string
    {
        return $this->descriptionWeb;
    }

    public function setDescriptionWeb(?string $descriptionWeb): self
    {
        $this->descriptionWeb = $descriptionWeb;

        return $this;
    }

    public function getDispoWeb(): ?int
    {
        return $this->dispoWeb;
    }

    public function setDispoWeb(?int $dispoWeb): self
    {
        $this->dispoWeb = $dispoWeb;

        return $this;
    }

    public function getCouleurWeb(): ?string
    {
        return $this->couleurWeb;
    }

    public function setCouleurWeb(?string $couleurWeb): self
    {
        $this->couleurWeb = $couleurWeb;

        return $this;
    }

    public function getTpdFormadehyde(): ?string
    {
        return $this->tpdFormadehyde;
    }

    public function setTpdFormadehyde(?string $tpdFormadehyde): self
    {
        $this->tpdFormadehyde = $tpdFormadehyde;

        return $this;
    }

    public function getTpdAcrolein(): ?string
    {
        return $this->tpdAcrolein;
    }

    public function setTpdAcrolein(?string $tpdAcrolein): self
    {
        $this->tpdAcrolein = $tpdAcrolein;

        return $this;
    }

    public function getTpdAcetaldehyde(): ?string
    {
        return $this->tpdAcetaldehyde;
    }

    public function setTpdAcetaldehyde(?string $tpdAcetaldehyde): self
    {
        $this->tpdAcetaldehyde = $tpdAcetaldehyde;

        return $this;
    }

    public function getVLiquide(): ?string
    {
        return $this->vLiquide;
    }

    public function setVLiquide(?string $vLiquide): self
    {
        $this->vLiquide = $vLiquide;

        return $this;
    }

    public function getTypeEcig(): ?string
    {
        return $this->typeEcig;
    }

    public function setTypeEcig(?string $typeEcig): self
    {
        $this->typeEcig = $typeEcig;

        return $this;
    }

    public function getTypeEliquid(): ?string
    {
        return $this->typeEliquid;
    }

    public function setTypeEliquid(?string $typeEliquid): self
    {
        $this->typeEliquid = $typeEliquid;

        return $this;
    }

    public function getTypeCbd(): ?string
    {
        return $this->typeCbd;
    }

    public function setTypeCbd(?string $typeCbd): self
    {
        $this->typeCbd = $typeCbd;

        return $this;
    }

    public function getTypeAccesoire(): ?string
    {
        return $this->typeAccesoire;
    }

    public function setTypeAccesoire(?string $typeAccesoire): self
    {
        $this->typeAccesoire = $typeAccesoire;

        return $this;
    }

    public function getDescriptionWebLong(): ?string
    {
        return $this->descriptionWebLong;
    }

    public function setDescriptionWebLong(?string $descriptionWebLong): self
    {
        $this->descriptionWebLong = $descriptionWebLong;

        return $this;
    }

    public function getTPictureratio(): ?int
    {
        return $this->tPictureratio;
    }

    public function setTPictureratio(?int $tPictureratio): self
    {
        $this->tPictureratio = $tPictureratio;

        return $this;
    }

    public function getNameIl(): ?string
    {
        return $this->nameIl;
    }

    public function setNameIl(?string $nameIl): self
    {
        $this->nameIl = $nameIl;

        return $this;
    }

    public function getUrlWebSite(): ?string
    {
        return $this->urlWebSite;
    }

    public function setUrlWebSite(?string $urlWebSite): self
    {
        $this->urlWebSite = $urlWebSite;

        return $this;
    }

    public function getHsCode(): ?string
    {
        return $this->hsCode;
    }

    public function setHsCode(?string $hsCode): self
    {
        $this->hsCode = $hsCode;

        return $this;
    }

    public function getConditWeb(): ?int
    {
        return $this->conditWeb;
    }

    public function setConditWeb(?int $conditWeb): self
    {
        $this->conditWeb = $conditWeb;

        return $this;
    }

    public function getMarqueProduit(): ?string
    {
        return $this->marqueProduit;
    }

    public function setMarqueProduit(?string $marqueProduit): self
    {
        $this->marqueProduit = $marqueProduit;

        return $this;
    }

    public function getUfiCode(): ?string
    {
        return $this->ufiCode;
    }

    public function setUfiCode(?string $ufiCode): self
    {
        $this->ufiCode = $ufiCode;

        return $this;
    }

    public function getMultiNouveaute(): ?\DateTimeInterface
    {
        return $this->multiNouveaute;
    }

    public function setMultiNouveaute(?\DateTimeInterface $multiNouveaute): self
    {
        $this->multiNouveaute = $multiNouveaute;

        return $this;
    }

    public function getMultiBaisse(): ?\DateTimeInterface
    {
        return $this->multiBaisse;
    }

    public function setMultiBaisse(?\DateTimeInterface $multiBaisse): self
    {
        $this->multiBaisse = $multiBaisse;

        return $this;
    }

    public function getPromoEte(): ?int
    {
        return $this->promoEte;
    }

    public function setPromoEte(?int $promoEte): self
    {
        $this->promoEte = $promoEte;

        return $this;
    }

    public function getRemisePromo(): ?float
    {
        return $this->remisePromo;
    }

    public function setRemisePromo(float $remisePromo): self
    {
        $this->remisePromo = $remisePromo;

        return $this;
    }

    public function getEmplacement(): ?string
    {
        return $this->emplacement;
    }

    public function setEmplacement(?string $emplacement): self
    {
        $this->emplacement = $emplacement;

        return $this;
    }

    public function getIdFamilleArticle(): ?TFamilleArticle
    {
        return $this->idFamilleArticle;
    }

    public function setIdFamilleArticle(?TFamilleArticle $idFamilleArticle): self
    {
        $this->idFamilleArticle = $idFamilleArticle;

        return $this;
    }


}
