<?php

namespace App\Entity;

use Doctrine\ORM\Mapping as ORM;

/**
 * TArticleMarket
 *
 * @ORM\Table(name="T_Article_Market")
 * @ORM\Entity
 */
class TArticleMarket
{
    /**
     * @var int
     *
     * @ORM\Column(name="cle_market", type="integer", nullable=false)
     * @ORM\Id
     * @ORM\GeneratedValue(strategy="IDENTITY")
     */
    private $cleMarket;

    /**
     * @var int|null
     *
     * @ORM\Column(name="id_article", type="integer", nullable=true)
     */
    private $idArticle;

    /**
     * @var string|null
     *
     * @ORM\Column(name="code_market", type="string", length=45, nullable=true, options={"default"="null"})
     */
    private $codeMarket = 'null';

    /**
     * @var int|null
     *
     * @ORM\Column(name="qte_vendu", type="integer", nullable=true)
     */
    private $qteVendu;

    /**
     * @var string|null
     *
     * @ORM\Column(name="date_end_market", type="string", length=50, nullable=true)
     */
    private $dateEndMarket;

    /**
     * @var string|null
     *
     * @ORM\Column(name="brand_name", type="string", length=300, nullable=true)
     */
    private $brandName;

    /**
     * @var \DateTime|null
     *
     * @ORM\Column(name="date_deb_market", type="datetime", nullable=true)
     */
    private $dateDebMarket;

    /**
     * @var \DateTime|null
     *
     * @ORM\Column(name="date_enreg_tpd", type="datetime", nullable=true)
     */
    private $dateEnregTpd;

    /**
     * @var string|null
     *
     * @ORM\Column(name="product_number", type="string", length=45, nullable=true)
     */
    private $productNumber;

    public function getCleMarket(): ?int
    {
        return $this->cleMarket;
    }

    public function getIdArticle(): ?int
    {
        return $this->idArticle;
    }

    public function setIdArticle(?int $idArticle): self
    {
        $this->idArticle = $idArticle;

        return $this;
    }

    public function getCodeMarket(): ?string
    {
        return $this->codeMarket;
    }

    public function setCodeMarket(?string $codeMarket): self
    {
        $this->codeMarket = $codeMarket;

        return $this;
    }

    public function getQteVendu(): ?int
    {
        return $this->qteVendu;
    }

    public function setQteVendu(?int $qteVendu): self
    {
        $this->qteVendu = $qteVendu;

        return $this;
    }

    public function getDateEndMarket(): ?string
    {
        return $this->dateEndMarket;
    }

    public function setDateEndMarket(?string $dateEndMarket): self
    {
        $this->dateEndMarket = $dateEndMarket;

        return $this;
    }

    public function getBrandName(): ?string
    {
        return $this->brandName;
    }

    public function setBrandName(?string $brandName): self
    {
        $this->brandName = $brandName;

        return $this;
    }

    public function getDateDebMarket(): ?\DateTimeInterface
    {
        return $this->dateDebMarket;
    }

    public function setDateDebMarket(?\DateTimeInterface $dateDebMarket): self
    {
        $this->dateDebMarket = $dateDebMarket;

        return $this;
    }

    public function getDateEnregTpd(): ?\DateTimeInterface
    {
        return $this->dateEnregTpd;
    }

    public function setDateEnregTpd(?\DateTimeInterface $dateEnregTpd): self
    {
        $this->dateEnregTpd = $dateEnregTpd;

        return $this;
    }

    public function getProductNumber(): ?string
    {
        return $this->productNumber;
    }

    public function setProductNumber(?string $productNumber): self
    {
        $this->productNumber = $productNumber;

        return $this;
    }


}
