<?php

namespace App\Entity;

use Doctrine\ORM\Mapping as ORM;

/**
 * TArticlePrix
 *
 * @ORM\Table(name="T_Article_Prix")
 * @ORM\Entity
 */
class TArticlePrix
{
    /**
     * @var int
     *
     * @ORM\Column(name="id_article", type="integer", nullable=false)
     * @ORM\Id
     * @ORM\GeneratedValue(strategy="NONE")
     */
    private $idArticle;

    /**
     * @var int
     *
     * @ORM\Column(name="id_categorie_tarif", type="integer", nullable=false)
     * @ORM\Id
     * @ORM\GeneratedValue(strategy="NONE")
     */
    private $idCategorieTarif;

    /**
     * @var int
     *
     * @ORM\Column(name="min_cde", type="integer", nullable=false)
     * @ORM\Id
     * @ORM\GeneratedValue(strategy="NONE")
     */
    private $minCde;

    /**
     * @var string
     *
     * @ORM\Column(name="code_devise_Tarif", type="string", length=10, nullable=false)
     * @ORM\Id
     * @ORM\GeneratedValue(strategy="NONE")
     */
    private $codeDeviseTarif;

    /**
     * @var int|null
     *
     * @ORM\Column(name="max_cde", type="integer", nullable=true)
     */
    private $maxCde;

    /**
     * @var float|null
     *
     * @ORM\Column(name="prix_article", type="float", precision=10, scale=0, nullable=true)
     */
    private $prixArticle;

    public function getIdArticle(): ?int
    {
        return $this->idArticle;
    }

    public function getIdCategorieTarif(): ?int
    {
        return $this->idCategorieTarif;
    }

    public function getMinCde(): ?int
    {
        return $this->minCde;
    }

    public function getCodeDeviseTarif(): ?string
    {
        return $this->codeDeviseTarif;
    }

    public function getMaxCde(): ?int
    {
        return $this->maxCde;
    }

    public function setMaxCde(?int $maxCde): self
    {
        $this->maxCde = $maxCde;

        return $this;
    }

    public function getPrixArticle(): ?float
    {
        return $this->prixArticle;
    }

    public function setPrixArticle(?float $prixArticle): self
    {
        $this->prixArticle = $prixArticle;

        return $this;
    }


}
