<?php

namespace App\Entity;

use Doctrine\ORM\Mapping as ORM;

/**
 * TClient
 *
 * @ORM\Table(name="T_Client", indexes={@ORM\Index(name="idx_paus_liv", columns={"id_pays_liv"}), @ORM\Index(name="idx_famille", columns={"id_famille_client"}), @ORM\Index(name="idx_lieu_stock", columns={"id_lieu_stock"}), @ORM\Index(name="idx_pays_fact", columns={"id_pays_fact"})})
 * @ORM\Entity
 */
class TClient
{
    /**
     * @var int
     *
     * @ORM\Column(name="id_client", type="integer", nullable=false)
     * @ORM\Id
     * @ORM\GeneratedValue(strategy="IDENTITY")
     */
    private $idClient;

    /**
     * @var int|null
     *
     * @ORM\Column(name="id_famille_client", type="integer", nullable=true)
     */
    private $idFamilleClient;

    /**
     * @var string|null
     *
     * @ORM\Column(name="nom_client", type="string", length=300, nullable=true)
     */
    private $nomClient;

    /**
     * @var string|null
     *
     * @ORM\Column(name="nom_contact", type="string", length=100, nullable=true)
     */
    private $nomContact;

    /**
     * @var int
     *
     * @ORM\Column(name="id_com_suivi", type="integer", nullable=false)
     */
    private $idComSuivi;

    /**
     * @var string|null
     *
     * @ORM\Column(name="prenom_contact", type="string", length=100, nullable=true)
     */
    private $prenomContact;

    /**
     * @var string|null
     *
     * @ORM\Column(name="fact_adresse", type="string", length=200, nullable=true)
     */
    private $factAdresse;

    /**
     * @var string|null
     *
     * @ORM\Column(name="fact_adresse2", type="string", length=200, nullable=true)
     */
    private $factAdresse2;

    /**
     * @var string|null
     *
     * @ORM\Column(name="fact_cp", type="string", length=10, nullable=true)
     */
    private $factCp;

    /**
     * @var string|null
     *
     * @ORM\Column(name="fact_ville", type="string", length=100, nullable=true)
     */
    private $factVille;

    /**
     * @var string|null
     *
     * @ORM\Column(name="fact_state", type="string", length=100, nullable=true)
     */
    private $factState;

    /**
     * @var string|null
     *
     * @ORM\Column(name="fact_pays", type="string", length=100, nullable=true)
     */
    private $factPays;

    /**
     * @var int|null
     *
     * @ORM\Column(name="id_pays_fact", type="integer", nullable=true)
     */
    private $idPaysFact;

    /**
     * @var string|null
     *
     * @ORM\Column(name="liv_adresse", type="string", length=200, nullable=true)
     */
    private $livAdresse;

    /**
     * @var string|null
     *
     * @ORM\Column(name="liv_adresse2", type="string", length=200, nullable=true)
     */
    private $livAdresse2;

    /**
     * @var string|null
     *
     * @ORM\Column(name="liv_cp", type="string", length=10, nullable=true)
     */
    private $livCp;

    /**
     * @var string|null
     *
     * @ORM\Column(name="liv_ville", type="string", length=100, nullable=true)
     */
    private $livVille;

    /**
     * @var string|null
     *
     * @ORM\Column(name="liv_state", type="string", length=100, nullable=true)
     */
    private $livState;

    /**
     * @var string|null
     *
     * @ORM\Column(name="liv_pays", type="string", length=100, nullable=true)
     */
    private $livPays;

    /**
     * @var int|null
     *
     * @ORM\Column(name="id_pays_liv", type="integer", nullable=true)
     */
    private $idPaysLiv;

    /**
     * @var string|null
     *
     * @ORM\Column(name="telephone", type="string", length=20, nullable=true)
     */
    private $telephone;

    /**
     * @var string|null
     *
     * @ORM\Column(name="portable", type="string", length=20, nullable=true)
     */
    private $portable;

    /**
     * @var string|null
     *
     * @ORM\Column(name="mail", type="string", length=100, nullable=true)
     */
    private $mail;

    /**
     * @var string|null
     *
     * @ORM\Column(name="site_web", type="string", length=200, nullable=true)
     */
    private $siteWeb;

    /**
     * @var bool|null
     *
     * @ORM\Column(name="mf", type="boolean", nullable=true)
     */
    private $mf = '0';

    /**
     * @var int|null
     *
     * @ORM\Column(name="cli_id_user", type="integer", nullable=true)
     */
    private $cliIdUser;

    /**
     * @var \DateTime|null
     *
     * @ORM\Column(name="cli_date_maj", type="datetime", nullable=true)
     */
    private $cliDateMaj;

    /**
     * @var int|null
     *
     * @ORM\Column(name="boutique", type="integer", nullable=true)
     */
    private $boutique = '0';

    /**
     * @var int|null
     *
     * @ORM\Column(name="liv_identique", type="integer", nullable=true)
     */
    private $livIdentique;

    /**
     * @var int|null
     *
     * @ORM\Column(name="id_franchise", type="integer", nullable=true)
     */
    private $idFranchise;

    /**
     * @var string|null
     *
     * @ORM\Column(name="mot_de_passe", type="string", length=100, nullable=true)
     */
    private $motDePasse;

    /**
     * @var int|null
     *
     * @ORM\Column(name="id_type_client_tva", type="integer", nullable=true)
     */
    private $idTypeClientTva;

    /**
     * @var int|null
     *
     * @ORM\Column(name="soumis_commission", type="integer", nullable=true)
     */
    private $soumisCommission;

    /**
     * @var string|null
     *
     * @ORM\Column(name="num_tva", type="string", length=100, nullable=true)
     */
    private $numTva;

    /**
     * @var int
     *
     * @ORM\Column(name="masquer_client", type="integer", nullable=false)
     */
    private $masquerClient = '0';

    /**
     * @var int
     *
     * @ORM\Column(name="livraison_boutique", type="integer", nullable=false)
     */
    private $livraisonBoutique = '0';

    /**
     * @var int
     *
     * @ORM\Column(name="avec_participation", type="integer", nullable=false)
     */
    private $avecParticipation = '0';

    /**
     * @var string
     *
     * @ORM\Column(name="code_devise", type="string", length=3, nullable=false, options={"default"="EUR"})
     */
    private $codeDevise = 'EUR';

    /**
     * @var int|null
     *
     * @ORM\Column(name="id_representant", type="integer", nullable=true)
     */
    private $idRepresentant;

    /**
     * @var float|null
     *
     * @ORM\Column(name="tx_rem", type="float", precision=10, scale=0, nullable=true)
     */
    private $txRem;

    /**
     * @var string
     *
     * @ORM\Column(name="nom_societe", type="string", length=255, nullable=false)
     */
    private $nomSociete;

    /**
     * @var int|null
     *
     * @ORM\Column(name="id_lieu_stock", type="integer", nullable=true, options={"default"="1"})
     */
    private $idLieuStock = 1;

    /**
     * @var string|null
     *
     * @ORM\Column(name="banque_nom", type="string", length=300, nullable=true)
     */
    private $banqueNom;

    /**
     * @var string|null
     *
     * @ORM\Column(name="banque_iban", type="string", length=50, nullable=true)
     */
    private $banqueIban;

    /**
     * @var string|null
     *
     * @ORM\Column(name="banque_bic", type="string", length=50, nullable=true)
     */
    private $banqueBic;

    /**
     * @var string|null
     *
     * @ORM\Column(name="banque_titulaire", type="string", length=100, nullable=true)
     */
    private $banqueTitulaire;

    /**
     * @var int|null
     *
     * @ORM\Column(name="banque_delai", type="integer", nullable=true)
     */
    private $banqueDelai;

    /**
     * @var int|null
     *
     * @ORM\Column(name="banque_is_prelevement", type="integer", nullable=true)
     */
    private $banqueIsPrelevement;

    /**
     * @var int|null
     *
     * @ORM\Column(name="is_virement", type="integer", nullable=true)
     */
    private $isVirement;

    /**
     * @var string|null
     *
     * @ORM\Column(name="num_skype", type="string", length=255, nullable=true)
     */
    private $numSkype;

    /**
     * @var int|null
     *
     * @ORM\Column(name="prel_recur", type="integer", nullable=true)
     */
    private $prelRecur = '0';

    /**
     * @var int|null
     *
     * @ORM\Column(name="new_num", type="integer", nullable=true)
     */
    private $newNum;

    /**
     * @var int|null
     *
     * @ORM\Column(name="wpsl_id", type="integer", nullable=true)
     */
    private $wpslId;

    /**
     * @var \DateTime|null
     *
     * @ORM\Column(name="created_at", type="datetime", nullable=true)
     */
    private $createdAt;

    /**
     * @var int
     *
     * @ORM\Column(name="commande_remix", type="integer", nullable=false)
     */
    private $commandeRemix = '0';

    /**
     * @var int|null
     *
     * @ORM\Column(name="display_bo", type="integer", nullable=true)
     */
    private $displayBo = '0';

    /**
     * @var int|null
     *
     * @ORM\Column(name="distrib", type="integer", nullable=true)
     */
    private $distrib;

    /**
     * @var int
     *
     * @ORM\Column(name="shop", type="integer", nullable=false, options={"default"="-1"})
     */
    private $shop = -1;

    /**
     * @var int|null
     *
     * @ORM\Column(name="nb_shop", type="integer", nullable=true, options={"default"="1"})
     */
    private $nbShop = 1;

    /**
     * @var int|null
     *
     * @ORM\Column(name="bo_center", type="integer", nullable=true)
     */
    private $boCenter;

    /**
     * @var int|null
     *
     * @ORM\Column(name="ciblage_juul", type="integer", nullable=true)
     */
    private $ciblageJuul;

    /**
     * @var int
     *
     * @ORM\Column(name="force_qte_max", type="smallint", nullable=false)
     */
    private $forceQteMax;

    /**
     * @var int|null
     *
     * @ORM\Column(name="chal_object", type="integer", nullable=true)
     */
    private $chalObject;

    /**
     * @var int|null
     *
     * @ORM\Column(name="chal_dot", type="integer", nullable=true)
     */
    private $chalDot;

    public function getIdClient(): ?int
    {
        return $this->idClient;
    }

    public function getIdFamilleClient(): ?int
    {
        return $this->idFamilleClient;
    }

    public function setIdFamilleClient(?int $idFamilleClient): self
    {
        $this->idFamilleClient = $idFamilleClient;

        return $this;
    }

    public function getNomClient(): ?string
    {
        return $this->nomClient;
    }

    public function setNomClient(?string $nomClient): self
    {
        $this->nomClient = $nomClient;

        return $this;
    }

    public function getNomContact(): ?string
    {
        return $this->nomContact;
    }

    public function setNomContact(?string $nomContact): self
    {
        $this->nomContact = $nomContact;

        return $this;
    }

    public function getIdComSuivi(): ?int
    {
        return $this->idComSuivi;
    }

    public function setIdComSuivi(int $idComSuivi): self
    {
        $this->idComSuivi = $idComSuivi;

        return $this;
    }

    public function getPrenomContact(): ?string
    {
        return $this->prenomContact;
    }

    public function setPrenomContact(?string $prenomContact): self
    {
        $this->prenomContact = $prenomContact;

        return $this;
    }

    public function getFactAdresse(): ?string
    {
        return $this->factAdresse;
    }

    public function setFactAdresse(?string $factAdresse): self
    {
        $this->factAdresse = $factAdresse;

        return $this;
    }

    public function getFactAdresse2(): ?string
    {
        return $this->factAdresse2;
    }

    public function setFactAdresse2(?string $factAdresse2): self
    {
        $this->factAdresse2 = $factAdresse2;

        return $this;
    }

    public function getFactCp(): ?string
    {
        return $this->factCp;
    }

    public function setFactCp(?string $factCp): self
    {
        $this->factCp = $factCp;

        return $this;
    }

    public function getFactVille(): ?string
    {
        return $this->factVille;
    }

    public function setFactVille(?string $factVille): self
    {
        $this->factVille = $factVille;

        return $this;
    }

    public function getFactState(): ?string
    {
        return $this->factState;
    }

    public function setFactState(?string $factState): self
    {
        $this->factState = $factState;

        return $this;
    }

    public function getFactPays(): ?string
    {
        return $this->factPays;
    }

    public function setFactPays(?string $factPays): self
    {
        $this->factPays = $factPays;

        return $this;
    }

    public function getIdPaysFact(): ?int
    {
        return $this->idPaysFact;
    }

    public function setIdPaysFact(?int $idPaysFact): self
    {
        $this->idPaysFact = $idPaysFact;

        return $this;
    }

    public function getLivAdresse(): ?string
    {
        return $this->livAdresse;
    }

    public function setLivAdresse(?string $livAdresse): self
    {
        $this->livAdresse = $livAdresse;

        return $this;
    }

    public function getLivAdresse2(): ?string
    {
        return $this->livAdresse2;
    }

    public function setLivAdresse2(?string $livAdresse2): self
    {
        $this->livAdresse2 = $livAdresse2;

        return $this;
    }

    public function getLivCp(): ?string
    {
        return $this->livCp;
    }

    public function setLivCp(?string $livCp): self
    {
        $this->livCp = $livCp;

        return $this;
    }

    public function getLivVille(): ?string
    {
        return $this->livVille;
    }

    public function setLivVille(?string $livVille): self
    {
        $this->livVille = $livVille;

        return $this;
    }

    public function getLivState(): ?string
    {
        return $this->livState;
    }

    public function setLivState(?string $livState): self
    {
        $this->livState = $livState;

        return $this;
    }

    public function getLivPays(): ?string
    {
        return $this->livPays;
    }

    public function setLivPays(?string $livPays): self
    {
        $this->livPays = $livPays;

        return $this;
    }

    public function getIdPaysLiv(): ?int
    {
        return $this->idPaysLiv;
    }

    public function setIdPaysLiv(?int $idPaysLiv): self
    {
        $this->idPaysLiv = $idPaysLiv;

        return $this;
    }

    public function getTelephone(): ?string
    {
        return $this->telephone;
    }

    public function setTelephone(?string $telephone): self
    {
        $this->telephone = $telephone;

        return $this;
    }

    public function getPortable(): ?string
    {
        return $this->portable;
    }

    public function setPortable(?string $portable): self
    {
        $this->portable = $portable;

        return $this;
    }

    public function getMail(): ?string
    {
        return $this->mail;
    }

    public function setMail(?string $mail): self
    {
        $this->mail = $mail;

        return $this;
    }

    public function getSiteWeb(): ?string
    {
        return $this->siteWeb;
    }

    public function setSiteWeb(?string $siteWeb): self
    {
        $this->siteWeb = $siteWeb;

        return $this;
    }

    public function getMf(): ?bool
    {
        return $this->mf;
    }

    public function setMf(?bool $mf): self
    {
        $this->mf = $mf;

        return $this;
    }

    public function getCliIdUser(): ?int
    {
        return $this->cliIdUser;
    }

    public function setCliIdUser(?int $cliIdUser): self
    {
        $this->cliIdUser = $cliIdUser;

        return $this;
    }

    public function getCliDateMaj(): ?\DateTimeInterface
    {
        return $this->cliDateMaj;
    }

    public function setCliDateMaj(?\DateTimeInterface $cliDateMaj): self
    {
        $this->cliDateMaj = $cliDateMaj;

        return $this;
    }

    public function getBoutique(): ?int
    {
        return $this->boutique;
    }

    public function setBoutique(?int $boutique): self
    {
        $this->boutique = $boutique;

        return $this;
    }

    public function getLivIdentique(): ?int
    {
        return $this->livIdentique;
    }

    public function setLivIdentique(?int $livIdentique): self
    {
        $this->livIdentique = $livIdentique;

        return $this;
    }

    public function getIdFranchise(): ?int
    {
        return $this->idFranchise;
    }

    public function setIdFranchise(?int $idFranchise): self
    {
        $this->idFranchise = $idFranchise;

        return $this;
    }

    public function getMotDePasse(): ?string
    {
        return $this->motDePasse;
    }

    public function setMotDePasse(?string $motDePasse): self
    {
        $this->motDePasse = $motDePasse;

        return $this;
    }

    public function getIdTypeClientTva(): ?int
    {
        return $this->idTypeClientTva;
    }

    public function setIdTypeClientTva(?int $idTypeClientTva): self
    {
        $this->idTypeClientTva = $idTypeClientTva;

        return $this;
    }

    public function getSoumisCommission(): ?int
    {
        return $this->soumisCommission;
    }

    public function setSoumisCommission(?int $soumisCommission): self
    {
        $this->soumisCommission = $soumisCommission;

        return $this;
    }

    public function getNumTva(): ?string
    {
        return $this->numTva;
    }

    public function setNumTva(?string $numTva): self
    {
        $this->numTva = $numTva;

        return $this;
    }

    public function getMasquerClient(): ?int
    {
        return $this->masquerClient;
    }

    public function setMasquerClient(int $masquerClient): self
    {
        $this->masquerClient = $masquerClient;

        return $this;
    }

    public function getLivraisonBoutique(): ?int
    {
        return $this->livraisonBoutique;
    }

    public function setLivraisonBoutique(int $livraisonBoutique): self
    {
        $this->livraisonBoutique = $livraisonBoutique;

        return $this;
    }

    public function getAvecParticipation(): ?int
    {
        return $this->avecParticipation;
    }

    public function setAvecParticipation(int $avecParticipation): self
    {
        $this->avecParticipation = $avecParticipation;

        return $this;
    }

    public function getCodeDevise(): ?string
    {
        return $this->codeDevise;
    }

    public function setCodeDevise(string $codeDevise): self
    {
        $this->codeDevise = $codeDevise;

        return $this;
    }

    public function getIdRepresentant(): ?int
    {
        return $this->idRepresentant;
    }

    public function setIdRepresentant(?int $idRepresentant): self
    {
        $this->idRepresentant = $idRepresentant;

        return $this;
    }

    public function getTxRem(): ?float
    {
        return $this->txRem;
    }

    public function setTxRem(?float $txRem): self
    {
        $this->txRem = $txRem;

        return $this;
    }

    public function getNomSociete(): ?string
    {
        return $this->nomSociete;
    }

    public function setNomSociete(string $nomSociete): self
    {
        $this->nomSociete = $nomSociete;

        return $this;
    }

    public function getIdLieuStock(): ?int
    {
        return $this->idLieuStock;
    }

    public function setIdLieuStock(?int $idLieuStock): self
    {
        $this->idLieuStock = $idLieuStock;

        return $this;
    }

    public function getBanqueNom(): ?string
    {
        return $this->banqueNom;
    }

    public function setBanqueNom(?string $banqueNom): self
    {
        $this->banqueNom = $banqueNom;

        return $this;
    }

    public function getBanqueIban(): ?string
    {
        return $this->banqueIban;
    }

    public function setBanqueIban(?string $banqueIban): self
    {
        $this->banqueIban = $banqueIban;

        return $this;
    }

    public function getBanqueBic(): ?string
    {
        return $this->banqueBic;
    }

    public function setBanqueBic(?string $banqueBic): self
    {
        $this->banqueBic = $banqueBic;

        return $this;
    }

    public function getBanqueTitulaire(): ?string
    {
        return $this->banqueTitulaire;
    }

    public function setBanqueTitulaire(?string $banqueTitulaire): self
    {
        $this->banqueTitulaire = $banqueTitulaire;

        return $this;
    }

    public function getBanqueDelai(): ?int
    {
        return $this->banqueDelai;
    }

    public function setBanqueDelai(?int $banqueDelai): self
    {
        $this->banqueDelai = $banqueDelai;

        return $this;
    }

    public function getBanqueIsPrelevement(): ?int
    {
        return $this->banqueIsPrelevement;
    }

    public function setBanqueIsPrelevement(?int $banqueIsPrelevement): self
    {
        $this->banqueIsPrelevement = $banqueIsPrelevement;

        return $this;
    }

    public function getIsVirement(): ?int
    {
        return $this->isVirement;
    }

    public function setIsVirement(?int $isVirement): self
    {
        $this->isVirement = $isVirement;

        return $this;
    }

    public function getNumSkype(): ?string
    {
        return $this->numSkype;
    }

    public function setNumSkype(?string $numSkype): self
    {
        $this->numSkype = $numSkype;

        return $this;
    }

    public function getPrelRecur(): ?int
    {
        return $this->prelRecur;
    }

    public function setPrelRecur(?int $prelRecur): self
    {
        $this->prelRecur = $prelRecur;

        return $this;
    }

    public function getNewNum(): ?int
    {
        return $this->newNum;
    }

    public function setNewNum(?int $newNum): self
    {
        $this->newNum = $newNum;

        return $this;
    }

    public function getWpslId(): ?int
    {
        return $this->wpslId;
    }

    public function setWpslId(?int $wpslId): self
    {
        $this->wpslId = $wpslId;

        return $this;
    }

    public function getCreatedAt(): ?\DateTimeInterface
    {
        return $this->createdAt;
    }

    public function setCreatedAt(?\DateTimeInterface $createdAt): self
    {
        $this->createdAt = $createdAt;

        return $this;
    }

    public function getCommandeRemix(): ?int
    {
        return $this->commandeRemix;
    }

    public function setCommandeRemix(int $commandeRemix): self
    {
        $this->commandeRemix = $commandeRemix;

        return $this;
    }

    public function getDisplayBo(): ?int
    {
        return $this->displayBo;
    }

    public function setDisplayBo(?int $displayBo): self
    {
        $this->displayBo = $displayBo;

        return $this;
    }

    public function getDistrib(): ?int
    {
        return $this->distrib;
    }

    public function setDistrib(?int $distrib): self
    {
        $this->distrib = $distrib;

        return $this;
    }

    public function getShop(): ?int
    {
        return $this->shop;
    }

    public function setShop(int $shop): self
    {
        $this->shop = $shop;

        return $this;
    }

    public function getNbShop(): ?int
    {
        return $this->nbShop;
    }

    public function setNbShop(?int $nbShop): self
    {
        $this->nbShop = $nbShop;

        return $this;
    }

    public function getBoCenter(): ?int
    {
        return $this->boCenter;
    }

    public function setBoCenter(?int $boCenter): self
    {
        $this->boCenter = $boCenter;

        return $this;
    }

    public function getCiblageJuul(): ?int
    {
        return $this->ciblageJuul;
    }

    public function setCiblageJuul(?int $ciblageJuul): self
    {
        $this->ciblageJuul = $ciblageJuul;

        return $this;
    }

    public function getForceQteMax(): ?int
    {
        return $this->forceQteMax;
    }

    public function setForceQteMax(int $forceQteMax): self
    {
        $this->forceQteMax = $forceQteMax;

        return $this;
    }

    public function getChalObject(): ?int
    {
        return $this->chalObject;
    }

    public function setChalObject(?int $chalObject): self
    {
        $this->chalObject = $chalObject;

        return $this;
    }

    public function getChalDot(): ?int
    {
        return $this->chalDot;
    }

    public function setChalDot(?int $chalDot): self
    {
        $this->chalDot = $chalDot;

        return $this;
    }


}
