<?php

namespace App\Entity;

use Doctrine\ORM\Mapping as ORM;

/**
 * TCommentairesFacture
 *
 * @ORM\Table(name="T_Commentaires_Facture", indexes={@ORM\Index(name="fk_com_fac_idx", columns={"id_facture"})})
 * @ORM\Entity
 */
class TCommentairesFacture
{
    /**
     * @var int
     *
     * @ORM\Column(name="cpt", type="integer", nullable=false)
     * @ORM\Id
     * @ORM\GeneratedValue(strategy="IDENTITY")
     */
    private $cpt;

    /**
     * @var int|null
     *
     * @ORM\ManyToOne(targetEntity="TFacture",inversedBy="commentaires")
     * @ORM\JoinColumns({
     *   @ORM\JoinColumn(name="id_facture", referencedColumnName="id_facture")
     *   })
     */
    private $idFacture;

    /**
     * @var \DateTime|null
     *
     * @ORM\Column(name="date_com", type="datetime", nullable=true)
     */
    private $dateCom;

    /**
     * @var string|null
     *
     * @ORM\Column(name="commentaires", type="string", length=1000, nullable=true)
     */
    private $commentaires;

    /**
     * @var int
     *
     * @ORM\Column(name="afficher_facture", type="integer", nullable=false)
     */
    private $afficherFacture = '0';

    /**
     * @var string|null
     *
     * @ORM\Column(name="personne_connecte", type="string", length=100, nullable=true)
     */
    private $personneConnecte;

    public function getCpt(): ?int
    {
        return $this->cpt;
    }

    public function getIdFacture(): ?int
    {
        return $this->idFacture;
    }

    public function setIdFacture(?int $idFacture): self
    {
        $this->idFacture = $idFacture;

        return $this;
    }

    public function getDateCom(): ?\DateTimeInterface
    {
        return $this->dateCom;
    }

    public function setDateCom(?\DateTimeInterface $dateCom): self
    {
        $this->dateCom = $dateCom;

        return $this;
    }

    public function getCommentaires(): ?string
    {
        return $this->commentaires;
    }

    public function setCommentaires(?string $commentaires): self
    {
        $this->commentaires = $commentaires;

        return $this;
    }

    public function getAfficherFacture(): ?int
    {
        return $this->afficherFacture;
    }

    public function setAfficherFacture(int $afficherFacture): self
    {
        $this->afficherFacture = $afficherFacture;

        return $this;
    }

    public function getPersonneConnecte(): ?string
    {
        return $this->personneConnecte;
    }

    public function setPersonneConnecte(?string $personneConnecte): self
    {
        $this->personneConnecte = $personneConnecte;

        return $this;
    }


}
