<?php

namespace App\Entity;

use Doctrine\ORM\Mapping as ORM;

/**
 * TFactureArchive
 *
 * @ORM\Table(name="T_Facture_Archive", indexes={@ORM\Index(name="id_originea", columns={"id_origine"}), @ORM\Index(name="idx_cde_clienta", columns={"id_client"}), @ORM\Index(name="idx_tvaa", columns={"id_tva"}), @ORM\Index(name="idx_rep_faxa", columns={"id_representant"}), @ORM\Index(name="idx_date_faca", columns={"date_facture"})})
 * @ORM\Entity
 */
class TFactureArchive
{
    /**
     * @var int
     *
     * @ORM\Column(name="id_facture", type="integer", nullable=false)
     * @ORM\Id
     * @ORM\GeneratedValue(strategy="IDENTITY")
     */
    private $idFacture;

    /**
     * @var string|null
     *
     * @ORM\Column(name="reference_facture", type="string", length=45, nullable=true)
     */
    private $referenceFacture;

    /**
     * @var int|null
     *
     * @ORM\Column(name="id_client", type="integer", nullable=true)
     */
    private $idClient;

    /**
     * @var \DateTime|null
     *
     * @ORM\Column(name="date_facture", type="datetime", nullable=true)
     */
    private $dateFacture;

    /**
     * @var int|null
     *
     * @ORM\Column(name="regle", type="integer", nullable=true)
     */
    private $regle = '0';

    /**
     * @var string|null
     *
     * @ORM\Column(name="texte_facture", type="string", length=200, nullable=true)
     */
    private $texteFacture;

    /**
     * @var int|null
     *
     * @ORM\Column(name="id_mode_reglement", type="integer", nullable=true)
     */
    private $idModeReglement;

    /**
     * @var int|null
     *
     * @ORM\Column(name="id_marque", type="integer", nullable=true)
     */
    private $idMarque;

    /**
     * @var int|null
     *
     * @ORM\Column(name="id_tva", type="integer", nullable=true)
     */
    private $idTva;

    /**
     * @var int|null
     *
     * @ORM\Column(name="id_commande_ref", type="integer", nullable=true)
     */
    private $idCommandeRef;

    /**
     * @var int|null
     *
     * @ORM\Column(name="id_representant", type="integer", nullable=true)
     */
    private $idRepresentant;

    /**
     * @var float|null
     *
     * @ORM\Column(name="frais_port", type="float", precision=10, scale=0, nullable=true)
     */
    private $fraisPort;

    /**
     * @var string|null
     *
     * @ORM\Column(name="num_avoir", type="string", length=45, nullable=true)
     */
    private $numAvoir;

    /**
     * @var int|null
     *
     * @ORM\Column(name="solde", type="integer", nullable=true)
     */
    private $solde = '0';

    /**
     * @var int|null
     *
     * @ORM\Column(name="annul_avoir", type="integer", nullable=true)
     */
    private $annulAvoir = '0';

    /**
     * @var int|null
     *
     * @ORM\Column(name="irrec", type="integer", nullable=true)
     */
    private $irrec = '0';

    /**
     * @var int|null
     *
     * @ORM\Column(name="litige", type="integer", nullable=true)
     */
    private $litige = '0';

    /**
     * @var int|null
     *
     * @ORM\Column(name="fac_id_user", type="integer", nullable=true)
     */
    private $facIdUser;

    /**
     * @var float|null
     *
     * @ORM\Column(name="fac_remise", type="float", precision=10, scale=0, nullable=true)
     */
    private $facRemise;

    /**
     * @var string|null
     *
     * @ORM\Column(name="num_transport", type="string", length=100, nullable=true)
     */
    private $numTransport;

    /**
     * @var string|null
     *
     * @ORM\Column(name="site_statut_commande", type="string", length=100, nullable=true)
     */
    private $siteStatutCommande;

    /**
     * @var string|null
     *
     * @ORM\Column(name="piece_upload", type="blob", length=65535, nullable=true)
     */
    private $pieceUpload;

    /**
     * @var string|null
     *
     * @ORM\Column(name="num_tracking_liquide", type="string", length=100, nullable=true)
     */
    private $numTrackingLiquide;

    /**
     * @var int|null
     *
     * @ORM\Column(name="id_origine", type="integer", nullable=true, options={"default"="1"})
     */
    private $idOrigine = 1;

    /**
     * @var int|null
     *
     * @ORM\Column(name="avoir", type="integer", nullable=true)
     */
    private $avoir = '0';

    /**
     * @var int|null
     *
     * @ORM\Column(name="id_statut_traitement", type="integer", nullable=true, options={"default"="1"})
     */
    private $idStatutTraitement = 1;

    /**
     * @var int
     *
     * @ORM\Column(name="participation_communication", type="integer", nullable=false)
     */
    private $participationCommunication = '0';

    /**
     * @var int|null
     *
     * @ORM\Column(name="id_commercial", type="integer", nullable=true)
     */
    private $idCommercial;

    /**
     * @var int|null
     *
     * @ORM\Column(name="envoi_compta", type="integer", nullable=true)
     */
    private $envoiCompta;

    /**
     * @var int|null
     *
     * @ORM\Column(name="envoi_banque", type="integer", nullable=true)
     */
    private $envoiBanque;

    /**
     * @var string|null
     *
     * @ORM\Column(name="nom_transporteur", type="string", length=100, nullable=true)
     */
    private $nomTransporteur;

    /**
     * @var \DateTime
     *
     * @ORM\Column(name="Date_Envoi_Facture", type="datetime", nullable=false)
     */
    private $dateEnvoiFacture;

    /**
     * @var int
     *
     * @ORM\Column(name="id_stock_facture", type="integer", nullable=false)
     */
    private $idStockFacture;

    /**
     * @var int
     *
     * @ORM\Column(name="commission_payee", type="integer", nullable=false)
     */
    private $commissionPayee = '0';

    /**
     * @var int|null
     *
     * @ORM\Column(name="type_transport", type="integer", nullable=true)
     */
    private $typeTransport;

    /**
     * @var int|null
     *
     * @ORM\Column(name="id_adresse_livraison", type="integer", nullable=true)
     */
    private $idAdresseLivraison;

    /**
     * @var string|null
     *
     * @ORM\Column(name="tracking_number_chine", type="string", length=100, nullable=true)
     */
    private $trackingNumberChine;

    /**
     * @var \DateTime|null
     *
     * @ORM\Column(name="date_tracking_chine", type="datetime", nullable=true)
     */
    private $dateTrackingChine;

    /**
     * @var \DateTime|null
     *
     * @ORM\Column(name="date_tracking", type="datetime", nullable=true)
     */
    private $dateTracking;

    /**
     * @var int
     *
     * @ORM\Column(name="commission_jwell_payee", type="integer", nullable=false)
     */
    private $commissionJwellPayee = '0';

    /**
     * @var string
     *
     * @ORM\Column(name="code_devise", type="string", length=3, nullable=false, options={"default"="EUR"})
     */
    private $codeDevise = 'EUR';

    public function getIdFacture(): ?int
    {
        return $this->idFacture;
    }

    public function getReferenceFacture(): ?string
    {
        return $this->referenceFacture;
    }

    public function setReferenceFacture(?string $referenceFacture): self
    {
        $this->referenceFacture = $referenceFacture;

        return $this;
    }

    public function getIdClient(): ?int
    {
        return $this->idClient;
    }

    public function setIdClient(?int $idClient): self
    {
        $this->idClient = $idClient;

        return $this;
    }

    public function getDateFacture(): ?\DateTimeInterface
    {
        return $this->dateFacture;
    }

    public function setDateFacture(?\DateTimeInterface $dateFacture): self
    {
        $this->dateFacture = $dateFacture;

        return $this;
    }

    public function getRegle(): ?int
    {
        return $this->regle;
    }

    public function setRegle(?int $regle): self
    {
        $this->regle = $regle;

        return $this;
    }

    public function getTexteFacture(): ?string
    {
        return $this->texteFacture;
    }

    public function setTexteFacture(?string $texteFacture): self
    {
        $this->texteFacture = $texteFacture;

        return $this;
    }

    public function getIdModeReglement(): ?int
    {
        return $this->idModeReglement;
    }

    public function setIdModeReglement(?int $idModeReglement): self
    {
        $this->idModeReglement = $idModeReglement;

        return $this;
    }

    public function getIdMarque(): ?int
    {
        return $this->idMarque;
    }

    public function setIdMarque(?int $idMarque): self
    {
        $this->idMarque = $idMarque;

        return $this;
    }

    public function getIdTva(): ?int
    {
        return $this->idTva;
    }

    public function setIdTva(?int $idTva): self
    {
        $this->idTva = $idTva;

        return $this;
    }

    public function getIdCommandeRef(): ?int
    {
        return $this->idCommandeRef;
    }

    public function setIdCommandeRef(?int $idCommandeRef): self
    {
        $this->idCommandeRef = $idCommandeRef;

        return $this;
    }

    public function getIdRepresentant(): ?int
    {
        return $this->idRepresentant;
    }

    public function setIdRepresentant(?int $idRepresentant): self
    {
        $this->idRepresentant = $idRepresentant;

        return $this;
    }

    public function getFraisPort(): ?float
    {
        return $this->fraisPort;
    }

    public function setFraisPort(?float $fraisPort): self
    {
        $this->fraisPort = $fraisPort;

        return $this;
    }

    public function getNumAvoir(): ?string
    {
        return $this->numAvoir;
    }

    public function setNumAvoir(?string $numAvoir): self
    {
        $this->numAvoir = $numAvoir;

        return $this;
    }

    public function getSolde(): ?int
    {
        return $this->solde;
    }

    public function setSolde(?int $solde): self
    {
        $this->solde = $solde;

        return $this;
    }

    public function getAnnulAvoir(): ?int
    {
        return $this->annulAvoir;
    }

    public function setAnnulAvoir(?int $annulAvoir): self
    {
        $this->annulAvoir = $annulAvoir;

        return $this;
    }

    public function getIrrec(): ?int
    {
        return $this->irrec;
    }

    public function setIrrec(?int $irrec): self
    {
        $this->irrec = $irrec;

        return $this;
    }

    public function getLitige(): ?int
    {
        return $this->litige;
    }

    public function setLitige(?int $litige): self
    {
        $this->litige = $litige;

        return $this;
    }

    public function getFacIdUser(): ?int
    {
        return $this->facIdUser;
    }

    public function setFacIdUser(?int $facIdUser): self
    {
        $this->facIdUser = $facIdUser;

        return $this;
    }

    public function getFacRemise(): ?float
    {
        return $this->facRemise;
    }

    public function setFacRemise(?float $facRemise): self
    {
        $this->facRemise = $facRemise;

        return $this;
    }

    public function getNumTransport(): ?string
    {
        return $this->numTransport;
    }

    public function setNumTransport(?string $numTransport): self
    {
        $this->numTransport = $numTransport;

        return $this;
    }

    public function getSiteStatutCommande(): ?string
    {
        return $this->siteStatutCommande;
    }

    public function setSiteStatutCommande(?string $siteStatutCommande): self
    {
        $this->siteStatutCommande = $siteStatutCommande;

        return $this;
    }

    public function getPieceUpload()
    {
        return $this->pieceUpload;
    }

    public function setPieceUpload($pieceUpload): self
    {
        $this->pieceUpload = $pieceUpload;

        return $this;
    }

    public function getNumTrackingLiquide(): ?string
    {
        return $this->numTrackingLiquide;
    }

    public function setNumTrackingLiquide(?string $numTrackingLiquide): self
    {
        $this->numTrackingLiquide = $numTrackingLiquide;

        return $this;
    }

    public function getIdOrigine(): ?int
    {
        return $this->idOrigine;
    }

    public function setIdOrigine(?int $idOrigine): self
    {
        $this->idOrigine = $idOrigine;

        return $this;
    }

    public function getAvoir(): ?int
    {
        return $this->avoir;
    }

    public function setAvoir(?int $avoir): self
    {
        $this->avoir = $avoir;

        return $this;
    }

    public function getIdStatutTraitement(): ?int
    {
        return $this->idStatutTraitement;
    }

    public function setIdStatutTraitement(?int $idStatutTraitement): self
    {
        $this->idStatutTraitement = $idStatutTraitement;

        return $this;
    }

    public function getParticipationCommunication(): ?int
    {
        return $this->participationCommunication;
    }

    public function setParticipationCommunication(int $participationCommunication): self
    {
        $this->participationCommunication = $participationCommunication;

        return $this;
    }

    public function getIdCommercial(): ?int
    {
        return $this->idCommercial;
    }

    public function setIdCommercial(?int $idCommercial): self
    {
        $this->idCommercial = $idCommercial;

        return $this;
    }

    public function getEnvoiCompta(): ?int
    {
        return $this->envoiCompta;
    }

    public function setEnvoiCompta(?int $envoiCompta): self
    {
        $this->envoiCompta = $envoiCompta;

        return $this;
    }

    public function getEnvoiBanque(): ?int
    {
        return $this->envoiBanque;
    }

    public function setEnvoiBanque(?int $envoiBanque): self
    {
        $this->envoiBanque = $envoiBanque;

        return $this;
    }

    public function getNomTransporteur(): ?string
    {
        return $this->nomTransporteur;
    }

    public function setNomTransporteur(?string $nomTransporteur): self
    {
        $this->nomTransporteur = $nomTransporteur;

        return $this;
    }

    public function getDateEnvoiFacture(): ?\DateTimeInterface
    {
        return $this->dateEnvoiFacture;
    }

    public function setDateEnvoiFacture(\DateTimeInterface $dateEnvoiFacture): self
    {
        $this->dateEnvoiFacture = $dateEnvoiFacture;

        return $this;
    }

    public function getIdStockFacture(): ?int
    {
        return $this->idStockFacture;
    }

    public function setIdStockFacture(int $idStockFacture): self
    {
        $this->idStockFacture = $idStockFacture;

        return $this;
    }

    public function getCommissionPayee(): ?int
    {
        return $this->commissionPayee;
    }

    public function setCommissionPayee(int $commissionPayee): self
    {
        $this->commissionPayee = $commissionPayee;

        return $this;
    }

    public function getTypeTransport(): ?int
    {
        return $this->typeTransport;
    }

    public function setTypeTransport(?int $typeTransport): self
    {
        $this->typeTransport = $typeTransport;

        return $this;
    }

    public function getIdAdresseLivraison(): ?int
    {
        return $this->idAdresseLivraison;
    }

    public function setIdAdresseLivraison(?int $idAdresseLivraison): self
    {
        $this->idAdresseLivraison = $idAdresseLivraison;

        return $this;
    }

    public function getTrackingNumberChine(): ?string
    {
        return $this->trackingNumberChine;
    }

    public function setTrackingNumberChine(?string $trackingNumberChine): self
    {
        $this->trackingNumberChine = $trackingNumberChine;

        return $this;
    }

    public function getDateTrackingChine(): ?\DateTimeInterface
    {
        return $this->dateTrackingChine;
    }

    public function setDateTrackingChine(?\DateTimeInterface $dateTrackingChine): self
    {
        $this->dateTrackingChine = $dateTrackingChine;

        return $this;
    }

    public function getDateTracking(): ?\DateTimeInterface
    {
        return $this->dateTracking;
    }

    public function setDateTracking(?\DateTimeInterface $dateTracking): self
    {
        $this->dateTracking = $dateTracking;

        return $this;
    }

    public function getCommissionJwellPayee(): ?int
    {
        return $this->commissionJwellPayee;
    }

    public function setCommissionJwellPayee(int $commissionJwellPayee): self
    {
        $this->commissionJwellPayee = $commissionJwellPayee;

        return $this;
    }

    public function getCodeDevise(): ?string
    {
        return $this->codeDevise;
    }

    public function setCodeDevise(string $codeDevise): self
    {
        $this->codeDevise = $codeDevise;

        return $this;
    }


}
