<?php

namespace App\Entity;

use Doctrine\ORM\Mapping as ORM;

/**
 * TFamilleArticle
 *
 * @ORM\Table(name="T_Famille_Article", indexes={@ORM\Index(name="idx_prod", columns={"tpd_lib_produit"}), @ORM\Index(name="idx_fr_fam", columns={"id_frs"})})
 * @ORM\Entity
 */
class TFamilleArticle
{
    /**
     * @var int
     *
     * @ORM\Column(name="id_famille_article", type="integer", nullable=false)
     * @ORM\Id
     * @ORM\GeneratedValue(strategy="IDENTITY")
     */
    private $idFamilleArticle;

    /**
     * @var string|null
     *
     * @ORM\Column(name="famille_article", type="string", length=200, nullable=true)
     */
    private $familleArticle;

    /**
     * @var int|null
     *
     * @ORM\Column(name="retour_possible", type="integer", nullable=true)
     */
    private $retourPossible;

    /**
     * @var string|null
     *
     * @ORM\Column(name="categorie", type="string", length=200, nullable=true)
     */
    private $categorie;

    /**
     * @var int|null
     *
     * @ORM\Column(name="masquer_fa", type="integer", nullable=true)
     */
    private $masquerFa;

    /**
     * @var string|null
     *
     * @ORM\Column(name="type_produit", type="string", length=100, nullable=true)
     */
    private $typeProduit;

    /**
     * @var int|null
     *
     * @ORM\Column(name="fam_tri_ecran", type="integer", nullable=true)
     */
    private $famTriEcran;

    /**
     * @var int|null
     *
     * @ORM\Column(name="fam_tri_facture", type="integer", nullable=true)
     */
    private $famTriFacture;

    /**
     * @var string|null
     *
     * @ORM\Column(name="tpd_type_produit", type="string", length=45, nullable=true)
     */
    private $tpdTypeProduit;

    /**
     * @var string|null
     *
     * @ORM\Column(name="tpd_lib_produit", type="string", length=45, nullable=true)
     */
    private $tpdLibProduit;

    /**
     * @var string|null
     *
     * @ORM\Column(name="douane_code", type="string", length=45, nullable=true)
     */
    private $douaneCode;

    /**
     * @var int|null
     *
     * @ORM\Column(name="id_frs", type="integer", nullable=true)
     */
    private $idFrs;

    /**
     * @var string|null
     *
     * @ORM\Column(name="livraison_frs", type="string", length=500, nullable=true)
     */
    private $livraisonFrs;

    /**
     * @var int|null
     *
     * @ORM\Column(name="id_resp_marque", type="integer", nullable=true)
     */
    private $idRespMarque;

    /**
     * @var float|null
     *
     * @ORM\Column(name="tarif_tr", type="float", precision=10, scale=0, nullable=true)
     */
    private $tarifTr;

    /**
     * @var float|null
     *
     * @ORM\Column(name="com_cyr", type="float", precision=10, scale=0, nullable=true)
     */
    private $comCyr;

    /**
     * @var float|null
     *
     * @ORM\Column(name="taxe_import", type="float", precision=10, scale=0, nullable=true)
     */
    private $taxeImport;

    /**
     * @var float|null
     *
     * @ORM\Column(name="tva_prod", type="float", precision=10, scale=0, nullable=true)
     */
    private $tvaProd;

    /**
     * @var string|null
     *
     * @ORM\Column(name="Renta_reg", type="string", length=45, nullable=true)
     */
    private $rentaReg;

    public function getIdFamilleArticle(): ?int
    {
        return $this->idFamilleArticle;
    }

    public function getFamilleArticle(): ?string
    {
        return $this->familleArticle;
    }

    public function setFamilleArticle(?string $familleArticle): self
    {
        $this->familleArticle = $familleArticle;

        return $this;
    }

    public function getRetourPossible(): ?int
    {
        return $this->retourPossible;
    }

    public function setRetourPossible(?int $retourPossible): self
    {
        $this->retourPossible = $retourPossible;

        return $this;
    }

    public function getCategorie(): ?string
    {
        return $this->categorie;
    }

    public function setCategorie(?string $categorie): self
    {
        $this->categorie = $categorie;

        return $this;
    }

    public function getMasquerFa(): ?int
    {
        return $this->masquerFa;
    }

    public function setMasquerFa(?int $masquerFa): self
    {
        $this->masquerFa = $masquerFa;

        return $this;
    }

    public function getTypeProduit(): ?string
    {
        return $this->typeProduit;
    }

    public function setTypeProduit(?string $typeProduit): self
    {
        $this->typeProduit = $typeProduit;

        return $this;
    }

    public function getFamTriEcran(): ?int
    {
        return $this->famTriEcran;
    }

    public function setFamTriEcran(?int $famTriEcran): self
    {
        $this->famTriEcran = $famTriEcran;

        return $this;
    }

    public function getFamTriFacture(): ?int
    {
        return $this->famTriFacture;
    }

    public function setFamTriFacture(?int $famTriFacture): self
    {
        $this->famTriFacture = $famTriFacture;

        return $this;
    }

    public function getTpdTypeProduit(): ?string
    {
        return $this->tpdTypeProduit;
    }

    public function setTpdTypeProduit(?string $tpdTypeProduit): self
    {
        $this->tpdTypeProduit = $tpdTypeProduit;

        return $this;
    }

    public function getTpdLibProduit(): ?string
    {
        return $this->tpdLibProduit;
    }

    public function setTpdLibProduit(?string $tpdLibProduit): self
    {
        $this->tpdLibProduit = $tpdLibProduit;

        return $this;
    }

    public function getDouaneCode(): ?string
    {
        return $this->douaneCode;
    }

    public function setDouaneCode(?string $douaneCode): self
    {
        $this->douaneCode = $douaneCode;

        return $this;
    }

    public function getIdFrs(): ?int
    {
        return $this->idFrs;
    }

    public function setIdFrs(?int $idFrs): self
    {
        $this->idFrs = $idFrs;

        return $this;
    }

    public function getLivraisonFrs(): ?string
    {
        return $this->livraisonFrs;
    }

    public function setLivraisonFrs(?string $livraisonFrs): self
    {
        $this->livraisonFrs = $livraisonFrs;

        return $this;
    }

    public function getIdRespMarque(): ?int
    {
        return $this->idRespMarque;
    }

    public function setIdRespMarque(?int $idRespMarque): self
    {
        $this->idRespMarque = $idRespMarque;

        return $this;
    }

    public function getTarifTr(): ?float
    {
        return $this->tarifTr;
    }

    public function setTarifTr(?float $tarifTr): self
    {
        $this->tarifTr = $tarifTr;

        return $this;
    }

    public function getComCyr(): ?float
    {
        return $this->comCyr;
    }

    public function setComCyr(?float $comCyr): self
    {
        $this->comCyr = $comCyr;

        return $this;
    }

    public function getTaxeImport(): ?float
    {
        return $this->taxeImport;
    }

    public function setTaxeImport(?float $taxeImport): self
    {
        $this->taxeImport = $taxeImport;

        return $this;
    }

    public function getTvaProd(): ?float
    {
        return $this->tvaProd;
    }

    public function setTvaProd(?float $tvaProd): self
    {
        $this->tvaProd = $tvaProd;

        return $this;
    }

    public function getRentaReg(): ?string
    {
        return $this->rentaReg;
    }

    public function setRentaReg(?string $rentaReg): self
    {
        $this->rentaReg = $rentaReg;

        return $this;
    }


}
