<?php

namespace App\Entity;

use Doctrine\ORM\Mapping as ORM;

/**
 * TLigneFactureArchive
 *
 * @ORM\Table(name="T_Ligne_Facture_Archive", indexes={@ORM\Index(name="id_article_faca", columns={"id_article"}), @ORM\Index(name="if_facture_faca", columns={"id_facture"})})
 * @ORM\Entity
 */
class TLigneFactureArchive
{
    /**
     * @var int
     *
     * @ORM\Column(name="cpt_ligne_facture", type="integer", nullable=false)
     * @ORM\Id
     * @ORM\GeneratedValue(strategy="IDENTITY")
     */
    private $cptLigneFacture;

    /**
     * @var int|null
     *
     * @ORM\Column(name="id_facture", type="integer", nullable=true)
     */
    private $idFacture;

    /**
     * @var int|null
     *
     * @ORM\Column(name="id_article", type="integer", nullable=true)
     */
    private $idArticle;

    /**
     * @var string|null
     *
     * @ORM\Column(name="texte_ligne_facture", type="string", length=200, nullable=true)
     */
    private $texteLigneFacture;

    /**
     * @var float|null
     *
     * @ORM\Column(name="qte", type="float", precision=10, scale=0, nullable=true)
     */
    private $qte;

    /**
     * @var float|null
     *
     * @ORM\Column(name="pu", type="float", precision=10, scale=0, nullable=true)
     */
    private $pu;

    /**
     * @var float|null
     *
     * @ORM\Column(name="remise", type="float", precision=10, scale=0, nullable=true)
     */
    private $remise;

    /**
     * @var string|null
     *
     * @ORM\Column(name="art_var", type="string", length=200, nullable=true)
     */
    private $artVar;

    /**
     * @var float|null
     *
     * @ORM\Column(name="pu_cal", type="float", precision=10, scale=0, nullable=true)
     */
    private $puCal;

    /**
     * @var int|null
     *
     * @ORM\Column(name="manuel", type="integer", nullable=true)
     */
    private $manuel = '0';

    /**
     * @var int|null
     *
     * @ORM\Column(name="id_cde_associe", type="integer", nullable=true)
     */
    private $idCdeAssocie;

    /**
     * @var int
     *
     * @ORM\Column(name="produit_pack", type="integer", nullable=false)
     */
    private $produitPack = '0';

    /**
     * @var string|null
     *
     * @ORM\Column(name="sav_pack", type="string", length=50, nullable=true)
     */
    private $savPack;

    /**
     * @var string|null
     *
     * @ORM\Column(name="liste_colisage", type="string", length=200, nullable=true)
     */
    private $listeColisage;

    /**
     * @var int|null
     *
     * @ORM\Column(name="poyr", type="integer", nullable=true)
     */
    private $poyr = '0';

    public function getCptLigneFacture(): ?int
    {
        return $this->cptLigneFacture;
    }

    public function getIdFacture(): ?int
    {
        return $this->idFacture;
    }

    public function setIdFacture(?int $idFacture): self
    {
        $this->idFacture = $idFacture;

        return $this;
    }

    public function getIdArticle(): ?int
    {
        return $this->idArticle;
    }

    public function setIdArticle(?int $idArticle): self
    {
        $this->idArticle = $idArticle;

        return $this;
    }

    public function getTexteLigneFacture(): ?string
    {
        return $this->texteLigneFacture;
    }

    public function setTexteLigneFacture(?string $texteLigneFacture): self
    {
        $this->texteLigneFacture = $texteLigneFacture;

        return $this;
    }

    public function getQte(): ?float
    {
        return $this->qte;
    }

    public function setQte(?float $qte): self
    {
        $this->qte = $qte;

        return $this;
    }

    public function getPu(): ?float
    {
        return $this->pu;
    }

    public function setPu(?float $pu): self
    {
        $this->pu = $pu;

        return $this;
    }

    public function getRemise(): ?float
    {
        return $this->remise;
    }

    public function setRemise(?float $remise): self
    {
        $this->remise = $remise;

        return $this;
    }

    public function getArtVar(): ?string
    {
        return $this->artVar;
    }

    public function setArtVar(?string $artVar): self
    {
        $this->artVar = $artVar;

        return $this;
    }

    public function getPuCal(): ?float
    {
        return $this->puCal;
    }

    public function setPuCal(?float $puCal): self
    {
        $this->puCal = $puCal;

        return $this;
    }

    public function getManuel(): ?int
    {
        return $this->manuel;
    }

    public function setManuel(?int $manuel): self
    {
        $this->manuel = $manuel;

        return $this;
    }

    public function getIdCdeAssocie(): ?int
    {
        return $this->idCdeAssocie;
    }

    public function setIdCdeAssocie(?int $idCdeAssocie): self
    {
        $this->idCdeAssocie = $idCdeAssocie;

        return $this;
    }

    public function getProduitPack(): ?int
    {
        return $this->produitPack;
    }

    public function setProduitPack(int $produitPack): self
    {
        $this->produitPack = $produitPack;

        return $this;
    }

    public function getSavPack(): ?string
    {
        return $this->savPack;
    }

    public function setSavPack(?string $savPack): self
    {
        $this->savPack = $savPack;

        return $this;
    }

    public function getListeColisage(): ?string
    {
        return $this->listeColisage;
    }

    public function setListeColisage(?string $listeColisage): self
    {
        $this->listeColisage = $listeColisage;

        return $this;
    }

    public function getPoyr(): ?int
    {
        return $this->poyr;
    }

    public function setPoyr(?int $poyr): self
    {
        $this->poyr = $poyr;

        return $this;
    }


}
