<?php

namespace App\Entity;

use App\Repository\TRessourceRepository;
use Doctrine\Common\Collections\ArrayCollection;
use Doctrine\Common\Collections\Collection;
use Doctrine\ORM\Mapping as ORM;
use Symfony\Component\Security\Core\User\PasswordAuthenticatedUserInterface;
use Symfony\Component\Security\Core\User\UserInterface;
/**
 * TRessource
 *
 * @ORM\Table(name="T_Ressource")
 * @ORM\Entity(repositoryClass=TRessourceRepository::class)
 */
class TRessource implements UserInterface, PasswordAuthenticatedUserInterface
{
    /**
     * @var int
     *
     * @ORM\Column(name="K_Com", type="integer", nullable=false)
     * @ORM\Id
     * @ORM\GeneratedValue(strategy="IDENTITY")
     */
    private $id;
    /**
     * @ORM\OneToMany(targetEntity="TFacture", mappedBy="facIdUser")
     */
    private $factures;
    /**
     * @var string The hashed password
     *
     * @ORM\Column(name="Pwd", type="string")
     */
    private $password;

     /**
     * @ORM\Column(type="json")
     */
    private $roles = [];

    /**
     * @var string|null
     *
     * @ORM\Column(name="Nom_Com", type="string", length=450, nullable=true)
     */
    private $nomCom;

    /**
     * @var int|null
     *
     * @ORM\Column(name="id_Profil", type="integer", nullable=true)
     */
    private $idProfil;

    /**
     * @var string|null
     *
     * @ORM\Column(name="login", type="string", length=200, nullable=true)
     */
    private $login;

    /**
     * @var int|null
     *
     * @ORM\Column(name="id_client", type="integer", nullable=true)
     */
    private $idClient;

    /**
     * @var string|null
     *
     * @ORM\Column(name="mail_ressource", type="string", length=100, nullable=true)
     */
    private $mailRessource;

    /**
     * @var string|null
     *
     * @ORM\Column(name="adresse", type="string", length=450, nullable=true)
     */
    private $adresse;

    /**
     * @var string|null
     *
     * @ORM\Column(name="cp", type="string", length=450, nullable=true)
     */
    private $cp;

    /**
     * @var string|null
     *
     * @ORM\Column(name="ville", type="string", length=450, nullable=true)
     */
    private $ville;

    /**
     * @var string|null
     *
     * @ORM\Column(name="siret_r", type="string", length=45, nullable=true)
     */
    private $siretR;

    /**
     * @var string|null
     *
     * @ORM\Column(name="num_tva_r", type="string", length=45, nullable=true)
     */
    private $numTvaR;

    /**
     * @var string|null
     *
     * @ORM\Column(name="naf_r", type="string", length=45, nullable=true)
     */
    private $nafR;

    /**
     * @var string|null
     *
     * @ORM\Column(name="raison_sociale", type="string", length=45, nullable=true)
     */
    private $raisonSociale;

    /**
     * @var float|null
     *
     * @ORM\Column(name="commission", type="float", precision=10, scale=0, nullable=true)
     */
    private $commission;

    /**
     * @var string|null
     *
     * @ORM\Column(name="token", type="string", length=50, nullable=true)
     */
    private $token;

    /**
     * @var string|null
     *
     * @ORM\Column(name="tokenExpire", type="string", length=50, nullable=true)
     */
    private $tokenexpire;

    /**
     * @var string|null
     *
     * @ORM\Column(name="grp_res", type="string", length=45, nullable=true)
     */
    private $grpRes;

    public function __construct()
    {
        $this->factures = new ArrayCollection();
    }

    public function getId(): ?int
    {
        return $this->id;
    }

    /**
     * The public representation of the user (e.g. a username, an mailRessource address, etc.)
     *
     * @see UserInterface
     */
    public function getUserIdentifier(): string
    {
        return (string) $this->mailRessource;
    }

    /**
     * @deprecated since Symfony 5.3
     */
    public function getUsername(): string
    {
        return (string) $this->mailRessource;
    }

    /**
     * @see UserInterface
     */
    public function getRoles(): array
    {
        $roles = $this->roles;
        // guarantee every user at least has ROLE_USER
        $roles[] = 'ROLE_USER';

        return array_unique($roles);
    }

    public function setRoles(array $roles): self
    {
        $this->roles = $roles;

        return $this;
    }

    /**
     * @see PasswordAuthenticatedUserInterface
     */
    public function getPassword(): string
    {
        return $this->password;
    }

    public function setPassword(string $password): self
    {
        $this->password = $password;

        return $this;
    }

    /**
     * Returning a salt is only needed, if you are not using a modern
     * hashing algorithm (e.g. bcrypt or sodium) in your security.yaml.
     *
     * @see UserInterface
     */
    public function getSalt(): ?string
    {
        return null;
    }

    /**
     * @see UserInterface
     */
    public function eraseCredentials()
    {
        // If you store any temporary, sensitive data on the user, clear it here
        // $this->plainPassword = null;
    }

    public function getNomCom(): ?string
    {
        return $this->nomCom;
    }

    public function setNomCom(?string $nomCom): self
    {
        $this->nomCom = $nomCom;

        return $this;
    }

    public function getIdProfil(): ?int
    {
        return $this->idProfil;
    }

    public function setIdProfil(?int $idProfil): self
    {
        $this->idProfil = $idProfil;

        return $this;
    }

    public function getLogin(): ?string
    {
        return $this->login;
    }

    public function setLogin(?string $login): self
    {
        $this->login = $login;

        return $this;
    }

    public function getIdClient(): ?int
    {
        return $this->idClient;
    }

    public function setIdClient(?int $idClient): self
    {
        $this->idClient = $idClient;

        return $this;
    }

    public function getMailRessource(): ?string
    {
        return $this->mailRessource;
    }

    public function setMailRessource(?string $mailRessource): self
    {
        $this->mailRessource = $mailRessource;

        return $this;
    }

    public function getAdresse(): ?string
    {
        return $this->adresse;
    }

    public function setAdresse(?string $adresse): self
    {
        $this->adresse = $adresse;

        return $this;
    }

    public function getCp(): ?string
    {
        return $this->cp;
    }

    public function setCp(?string $cp): self
    {
        $this->cp = $cp;

        return $this;
    }

    public function getVille(): ?string
    {
        return $this->ville;
    }

    public function setVille(?string $ville): self
    {
        $this->ville = $ville;

        return $this;
    }

    public function getSiretR(): ?string
    {
        return $this->siretR;
    }

    public function setSiretR(?string $siretR): self
    {
        $this->siretR = $siretR;

        return $this;
    }

    public function getNumTvaR(): ?string
    {
        return $this->numTvaR;
    }

    public function setNumTvaR(?string $numTvaR): self
    {
        $this->numTvaR = $numTvaR;

        return $this;
    }

    public function getNafR(): ?string
    {
        return $this->nafR;
    }

    public function setNafR(?string $nafR): self
    {
        $this->nafR = $nafR;

        return $this;
    }

    public function getRaisonSociale(): ?string
    {
        return $this->raisonSociale;
    }

    public function setRaisonSociale(?string $raisonSociale): self
    {
        $this->raisonSociale = $raisonSociale;

        return $this;
    }

    public function getCommission(): ?float
    {
        return $this->commission;
    }

    public function setCommission(?float $commission): self
    {
        $this->commission = $commission;

        return $this;
    }

    public function getToken(): ?string
    {
        return $this->token;
    }

    public function setToken(?string $token): self
    {
        $this->token = $token;

        return $this;
    }

    public function getTokenexpire(): ?string
    {
        return $this->tokenexpire;
    }

    public function setTokenexpire(?string $tokenexpire): self
    {
        $this->tokenexpire = $tokenexpire;

        return $this;
    }

    public function getGrpRes(): ?string
    {
        return $this->grpRes;
    }

    public function setGrpRes(?string $grpRes): self
    {
        $this->grpRes = $grpRes;

        return $this;
    }

    /**
     * @return Collection|TFacture[]
     */
    public function getFactures(): Collection
    {
        return $this->factures;
    }

    public function addFacture(TFacture $facture): self
    {
        if (!$this->factures->contains($facture)) {
            $this->factures[] = $facture;
            $facture->setFacIdUser($this);
        }

        return $this;
    }

    public function removeFacture(TFacture $facture): self
    {
        if ($this->factures->removeElement($facture)) {
            // set the owning side to null (unless already changed)
            if ($facture->getFacIdUser() === $this) {
                $facture->setFacIdUser(null);
            }
        }

        return $this;
    }


}
