<?php

namespace App\Repository;

use App\Entity\TFacture;
use Doctrine\Bundle\DoctrineBundle\Repository\ServiceEntityRepository;
use Doctrine\Persistence\ManagerRegistry;

/**
 * @method TFacture|null find($id, $lockMode = null, $lockVersion = null)
 * @method TFacture|null findOneBy(array $criteria, array $orderBy = null)
 * @method TFacture[]    findAll()
 * @method TFacture[]    findBy(array $criteria, array $orderBy = null, $limit = null, $offset = null)
 */
class TFactureRepository extends ServiceEntityRepository
{
    public function __construct(ManagerRegistry $registry)
    {
        parent::__construct($registry, TFacture::class);
    }

    // /**
    //  * @return TFacture[] Returns an array of TFacture objects
    //  */
    
    public function findCurrentCommand($user)
    {
        return $this->createQueryBuilder('t')
            ->andWhere('t.idStatutTraitement = :sttrait')
            ->setParameter('sttrait', 1)
            ->andWhere('t.facIdUser = :user')
            ->setParameter('user', $user)
            ->andWhere('t.idStockFacture = :stock')
            ->setParameter('stock', 1)
            ->orderBy('t.prioritaire', 'ASC')
            //->setMaxResults(10)
            ->getQuery()
            ->getResult()
        ;
    }
    

    /*
    public function findOneBySomeField($value): ?TFacture
    {
        return $this->createQueryBuilder('t')
            ->andWhere('t.exampleField = :val')
            ->setParameter('val', $value)
            ->getQuery()
            ->getOneOrNullResult()
        ;
    }
    */
}
